Debian Bug report logs - #728797
ITP: python-mne -- Python modules for MEG and EEG data analysis

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Alexandre Gramfort <alexandre.gramfort@m4x.org>

Date: Tue, 5 Nov 2013 15:51:01 UTC

Owned by: Alexandre Gramfort <alexandre.gramfort@m4x.org>

Severity: wishlist

Fixed in version python-mne/0.7-1

Done: Alexandre Gramfort <alexandre.gramfort@m4x.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org, wnpp@debian.org:
Bug#728797; Package wnpp. (Tue, 05 Nov 2013 15:51:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Alexandre Gramfort <alexandre.gramfort@m4x.org>:
New Bug report received and forwarded. Copy sent to debian-devel@lists.debian.org, wnpp@debian.org. (Tue, 05 Nov 2013 15:51:06 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Alexandre Gramfort <alexandre.gramfort@m4x.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ITP: python-mne -- Python modules for MEG and EEG data analysis
Date: Tue, 05 Nov 2013 16:38:42 +0100
Package: wnpp
Severity: wishlist
Owner: Alexandre Gramfort <alexandre.gramfort@m4x.org>

* Package name    : python-mne
  Version         : 0.7.git
  Upstream Author : Alexandre Gramfort <alexandre.gramfort@m4x.org>
* URL             : https://github.com/mne-tools/mne-python
* License         : BSD
  Programming Lang: Python
  Description     : Python modules for MEG and EEG data analysis

This package is designed for sensor- and source-space analysis of MEG and EEG
data, including frequency-domain and time-frequency analyses and
non-parametric statistics.



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Alexandre Gramfort <alexandre.gramfort@m4x.org>:
Bug#728797; Package wnpp. (Tue, 05 Nov 2013 16:09:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Tille <andreas@an3as.eu>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Alexandre Gramfort <alexandre.gramfort@m4x.org>. (Tue, 05 Nov 2013 16:09:04 GMT) Full text and rfc822 format available.

Message #10 received at 728797@bugs.debian.org (full text, mbox):

From: Andreas Tille <andreas@an3as.eu>
To: Alexandre Gramfort <alexandre.gramfort@m4x.org>, 728797@bugs.debian.org
Cc: Debian Med Project List <debian-med@lists.debian.org>
Subject: Re: Bug#728797: ITP: python-mne -- Python modules for MEG and EEG data analysis
Date: Tue, 5 Nov 2013 17:03:46 +0100
Hi Alexandre,

thanks for your ITP which is very interesting for Debian Med.  We would
be really happy if you would maintain this package in the Debian Med
team.  The procedure to do so is described in our team policy[1].

Please do not hesitate to contact us via our (see CC) mailing list if
something might remain unclear.

Kind regards

        Andreas.


[1] http://debian-med.alioth.debian.org/docs/policy.html

On Tue, Nov 05, 2013 at 04:38:42PM +0100, Alexandre Gramfort wrote:
> Package: wnpp
> Severity: wishlist
> Owner: Alexandre Gramfort <alexandre.gramfort@m4x.org>
> 
> * Package name    : python-mne
>   Version         : 0.7.git
>   Upstream Author : Alexandre Gramfort <alexandre.gramfort@m4x.org>
> * URL             : https://github.com/mne-tools/mne-python
> * License         : BSD
>   Programming Lang: Python
>   Description     : Python modules for MEG and EEG data analysis
> 
> This package is designed for sensor- and source-space analysis of MEG and EEG
> data, including frequency-domain and time-frequency analyses and
> non-parametric statistics.
> 
> 
> -- 
> To UNSUBSCRIBE, email to debian-devel-REQUEST@lists.debian.org
> with a subject of "unsubscribe". Trouble? Contact listmaster@lists.debian.org
> Archive: http://lists.debian.org/20131105153842.12599.38463.reportbug@tsilinuxd74.enst.fr
> 
> 

-- 
http://fam-tille.de



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#728797; Package wnpp. (Tue, 05 Nov 2013 16:57:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Alexandre Gramfort <alexandre.gramfort@m4x.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Tue, 05 Nov 2013 16:57:04 GMT) Full text and rfc822 format available.

Message #15 received at 728797@bugs.debian.org (full text, mbox):

From: Alexandre Gramfort <alexandre.gramfort@m4x.org>
To: Andreas Tille <andreas@an3as.eu>
Cc: 728797@bugs.debian.org, Debian Med Project List <debian-med@lists.debian.org>
Subject: Re: Bug#728797: ITP: python-mne -- Python modules for MEG and EEG data analysis
Date: Tue, 5 Nov 2013 17:52:29 +0100
hi Andreas,

please have a look at our debian branch:

https://github.com/mne-tools/mne-python/tree/debian

let me know if I can do anything.

Our official 0.7 release should be in the next couple of weeks.
It would be great to have it then in debian.

Cheers,
Alex



On Tue, Nov 5, 2013 at 5:03 PM, Andreas Tille <andreas@an3as.eu> wrote:
> Hi Alexandre,
>
> thanks for your ITP which is very interesting for Debian Med.  We would
> be really happy if you would maintain this package in the Debian Med
> team.  The procedure to do so is described in our team policy[1].
>
> Please do not hesitate to contact us via our (see CC) mailing list if
> something might remain unclear.
>
> Kind regards
>
>         Andreas.
>
>
> [1] http://debian-med.alioth.debian.org/docs/policy.html
>
> On Tue, Nov 05, 2013 at 04:38:42PM +0100, Alexandre Gramfort wrote:
>> Package: wnpp
>> Severity: wishlist
>> Owner: Alexandre Gramfort <alexandre.gramfort@m4x.org>
>>
>> * Package name    : python-mne
>>   Version         : 0.7.git
>>   Upstream Author : Alexandre Gramfort <alexandre.gramfort@m4x.org>
>> * URL             : https://github.com/mne-tools/mne-python
>> * License         : BSD
>>   Programming Lang: Python
>>   Description     : Python modules for MEG and EEG data analysis
>>
>> This package is designed for sensor- and source-space analysis of MEG and EEG
>> data, including frequency-domain and time-frequency analyses and
>> non-parametric statistics.
>>
>>
>> --
>> To UNSUBSCRIBE, email to debian-devel-REQUEST@lists.debian.org
>> with a subject of "unsubscribe". Trouble? Contact listmaster@lists.debian.org
>> Archive: http://lists.debian.org/20131105153842.12599.38463.reportbug@tsilinuxd74.enst.fr
>>
>>
>
> --
> http://fam-tille.de



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Alexandre Gramfort <alexandre.gramfort@m4x.org>:
Bug#728797; Package wnpp. (Wed, 06 Nov 2013 14:39:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Tille <tille@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Alexandre Gramfort <alexandre.gramfort@m4x.org>. (Wed, 06 Nov 2013 14:39:08 GMT) Full text and rfc822 format available.

Message #20 received at 728797@bugs.debian.org (full text, mbox):

From: Andreas Tille <tille@debian.org>
To: Alexandre Gramfort <alexandre.gramfort@m4x.org>, NeuroDebian Team <team@neuro.debian.net>
Cc: 728797@bugs.debian.org, Debian Med Project List <debian-med@lists.debian.org>
Subject: Re: Bug#728797: ITP: python-mne -- Python modules for MEG and EEG data analysis
Date: Wed, 6 Nov 2013 15:33:17 +0100
[Message part 1 (text/plain, inline)]
Hi Alexandre,

On Tue, Nov 05, 2013 at 05:52:29PM +0100, Alexandre Gramfort wrote:
> please have a look at our debian branch:
> 
> https://github.com/mne-tools/mne-python/tree/debian

Looks good from quick view without doing an actual build.  I have
attached a fix for the debian/watch file - the file in your repository
does not report anything when trying `uscan --verbose --report`.

> let me know if I can do anything.

Considering they are in the Uploaders field it seems you are just in
contact with Michael and Yaroslav which is not surprising because your
package is perfectly interesting for NeuroDebian as well.  Just to let
you know about the relation between NeuroDebian and Debian Med:  We are
naturally interested in a common set of packages but there is no point
in competing who maintains what.  Some packages are maintained
technically by NeuroDebian team and some by Debian Med team but both
projects are including the packages in their tasks (which are kind of
categories in specific work fields - you can see the Debian Med tasks
here[0] and I guess mne-python would make a good fit into "practice").
(BTW, NeuroDebian is presenting their packages in a different way but we
are trying to make use of the same toolset in the future.)

The Debian Med team has some policy to define certain workflows in using
Git and this does not fit exactly to your preparation.  Shortly speaking
we are only importing upstream release tarballs and adding a debian/
directory.  I have seen in your debian/gbp.conf that you have done means
to copy with different branches and I guess you would like to keep this
workflow.  From what I have heard from NeuroDebian people they have other
packages with a similar workflow which somehow would be a good reason
to let them take over the maintenance / sponsoring.  Michael, Yaroslav:
Any comment?

In any case it has several advantages to at least maintain a clone in
one of our repositories at git.debian.org because we have some tools
browsing the repositories and doing some general analysis over the
VCS status.  It would be good if we could do this also for mne-python
but the NeuroDebian people might have the last word in case they agree
that they take over the package.  In any case it would be really
interesting to describe the workflow they are using in some kind of
policy document.  In case this sounds convincing we could take over
this into Debian Med policy[1].

> Our official 0.7 release should be in the next couple of weeks.
> It would be great to have it then in debian.

I do not see any general problem here, except that you need to remember
that new packages can only go to unstable / testing and if you want to
have the package in Debian stable you need to wait for the next release
(Jessie, Debian 8).

Kind regards

      Andreas.

[0] http://debian-med.alioth.debian.org/tasks/

[ leaving full quote for NeuroDebian team list ... ]
 
> On Tue, Nov 5, 2013 at 5:03 PM, Andreas Tille <andreas@an3as.eu> wrote:
> > Hi Alexandre,
> >
> > thanks for your ITP which is very interesting for Debian Med.  We would
> > be really happy if you would maintain this package in the Debian Med
> > team.  The procedure to do so is described in our team policy[1].
> >
> > Please do not hesitate to contact us via our (see CC) mailing list if
> > something might remain unclear.
> >
> > Kind regards
> >
> >         Andreas.
> >
> >
> > [1] http://debian-med.alioth.debian.org/docs/policy.html
> >
> > On Tue, Nov 05, 2013 at 04:38:42PM +0100, Alexandre Gramfort wrote:
> >> Package: wnpp
> >> Severity: wishlist
> >> Owner: Alexandre Gramfort <alexandre.gramfort@m4x.org>
> >>
> >> * Package name    : python-mne
> >>   Version         : 0.7.git
> >>   Upstream Author : Alexandre Gramfort <alexandre.gramfort@m4x.org>
> >> * URL             : https://github.com/mne-tools/mne-python
> >> * License         : BSD
> >>   Programming Lang: Python
> >>   Description     : Python modules for MEG and EEG data analysis
> >>
> >> This package is designed for sensor- and source-space analysis of MEG and EEG
> >> data, including frequency-domain and time-frequency analyses and
> >> non-parametric statistics.
> >>
> >>
> >> --
> >> To UNSUBSCRIBE, email to debian-devel-REQUEST@lists.debian.org
> >> with a subject of "unsubscribe". Trouble? Contact listmaster@lists.debian.org
> >> Archive: http://lists.debian.org/20131105153842.12599.38463.reportbug@tsilinuxd74.enst.fr
> >>
> >>
> >
> > --
> > http://fam-tille.de
> 
> 
> -- 
> To UNSUBSCRIBE, email to debian-med-REQUEST@lists.debian.org
> with a subject of "unsubscribe". Trouble? Contact listmaster@lists.debian.org
> Archive: http://lists.debian.org/CADeotZoQ2+m6FYd0mQP67z+1i8sYpgiCxPbXpnv0HN1Pwn3fjA@mail.gmail.com
> 
> 

-- 
http://fam-tille.de
[watch (text/plain, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#728797; Package wnpp. (Wed, 06 Nov 2013 16:30:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Alexandre Gramfort <alexandre.gramfort@m4x.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Wed, 06 Nov 2013 16:30:04 GMT) Full text and rfc822 format available.

Message #25 received at 728797@bugs.debian.org (full text, mbox):

From: Alexandre Gramfort <alexandre.gramfort@m4x.org>
To: Andreas Tille <tille@debian.org>
Cc: NeuroDebian Team <team@neuro.debian.net>, 728797@bugs.debian.org, Debian Med Project List <debian-med@lists.debian.org>
Subject: Re: Bug#728797: ITP: python-mne -- Python modules for MEG and EEG data analysis
Date: Wed, 6 Nov 2013 17:26:13 +0100
hi Andreas,

> On Tue, Nov 05, 2013 at 05:52:29PM +0100, Alexandre Gramfort wrote:
>> please have a look at our debian branch:
>>
>> https://github.com/mne-tools/mne-python/tree/debian
>
> Looks good from quick view without doing an actual build.  I have
> attached a fix for the debian/watch file - the file in your repository
> does not report anything when trying `uscan --verbose --report`.

fixed in debian branch

>> let me know if I can do anything.
>
> Considering they are in the Uploaders field it seems you are just in
> contact with Michael and Yaroslav which is not surprising because your
> package is perfectly interesting for NeuroDebian as well.  Just to let
> you know about the relation between NeuroDebian and Debian Med:  We are
> naturally interested in a common set of packages but there is no point
> in competing who maintains what.  Some packages are maintained
> technically by NeuroDebian team and some by Debian Med team but both
> projects are including the packages in their tasks (which are kind of
> categories in specific work fields - you can see the Debian Med tasks
> here[0] and I guess mne-python would make a good fit into "practice").
> (BTW, NeuroDebian is presenting their packages in a different way but we
> are trying to make use of the same toolset in the future.)
>
> The Debian Med team has some policy to define certain workflows in using
> Git and this does not fit exactly to your preparation.  Shortly speaking
> we are only importing upstream release tarballs and adding a debian/
> directory.  I have seen in your debian/gbp.conf that you have done means
> to copy with different branches and I guess you would like to keep this
> workflow.  From what I have heard from NeuroDebian people they have other
> packages with a similar workflow which somehow would be a good reason
> to let them take over the maintenance / sponsoring.  Michael, Yaroslav:
> Any comment?

Honestly I have no preference as long as python-mne can be
apt-get installed. Just let me know what's best and the easiest for me.

> In any case it has several advantages to at least maintain a clone in
> one of our repositories at git.debian.org because we have some tools
> browsing the repositories and doing some general analysis over the
> VCS status.  It would be good if we could do this also for mne-python
> but the NeuroDebian people might have the last word in case they agree
> that they take over the package.  In any case it would be really
> interesting to describe the workflow they are using in some kind of
> policy document.  In case this sounds convincing we could take over
> this into Debian Med policy[1].

having python-mne in both would be great. Yaroslav has helped me
up to now to meet neurodebian's requirements. I'd appreciate any
help (pull request) to meet Debian Med policy.

>> Our official 0.7 release should be in the next couple of weeks.
>> It would be great to have it then in debian.
>
> I do not see any general problem here, except that you need to remember
> that new packages can only go to unstable / testing and if you want to
> have the package in Debian stable you need to wait for the next release
> (Jessie, Debian 8).

no problem.

Thanks for your insights and help

Alex

> Kind regards
>
>       Andreas.
>
> [0] http://debian-med.alioth.debian.org/tasks/
>
> [ leaving full quote for NeuroDebian team list ... ]
>
>> On Tue, Nov 5, 2013 at 5:03 PM, Andreas Tille <andreas@an3as.eu> wrote:
>> > Hi Alexandre,
>> >
>> > thanks for your ITP which is very interesting for Debian Med.  We would
>> > be really happy if you would maintain this package in the Debian Med
>> > team.  The procedure to do so is described in our team policy[1].
>> >
>> > Please do not hesitate to contact us via our (see CC) mailing list if
>> > something might remain unclear.
>> >
>> > Kind regards
>> >
>> >         Andreas.
>> >
>> >
>> > [1] http://debian-med.alioth.debian.org/docs/policy.html
>> >
>> > On Tue, Nov 05, 2013 at 04:38:42PM +0100, Alexandre Gramfort wrote:
>> >> Package: wnpp
>> >> Severity: wishlist
>> >> Owner: Alexandre Gramfort <alexandre.gramfort@m4x.org>
>> >>
>> >> * Package name    : python-mne
>> >>   Version         : 0.7.git
>> >>   Upstream Author : Alexandre Gramfort <alexandre.gramfort@m4x.org>
>> >> * URL             : https://github.com/mne-tools/mne-python
>> >> * License         : BSD
>> >>   Programming Lang: Python
>> >>   Description     : Python modules for MEG and EEG data analysis
>> >>
>> >> This package is designed for sensor- and source-space analysis of MEG and EEG
>> >> data, including frequency-domain and time-frequency analyses and
>> >> non-parametric statistics.
>> >>
>> >>
>> >> --
>> >> To UNSUBSCRIBE, email to debian-devel-REQUEST@lists.debian.org
>> >> with a subject of "unsubscribe". Trouble? Contact listmaster@lists.debian.org
>> >> Archive: http://lists.debian.org/20131105153842.12599.38463.reportbug@tsilinuxd74.enst.fr
>> >>
>> >>
>> >
>> > --
>> > http://fam-tille.de
>>
>>
>> --
>> To UNSUBSCRIBE, email to debian-med-REQUEST@lists.debian.org
>> with a subject of "unsubscribe". Trouble? Contact listmaster@lists.debian.org
>> Archive: http://lists.debian.org/CADeotZoQ2+m6FYd0mQP67z+1i8sYpgiCxPbXpnv0HN1Pwn3fjA@mail.gmail.com
>>
>>
>
> --
> http://fam-tille.de



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Alexandre Gramfort <alexandre.gramfort@m4x.org>:
Bug#728797; Package wnpp. (Wed, 06 Nov 2013 21:33:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Tille <andreas@fam-tille.de>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Alexandre Gramfort <alexandre.gramfort@m4x.org>. (Wed, 06 Nov 2013 21:33:08 GMT) Full text and rfc822 format available.

Message #30 received at 728797@bugs.debian.org (full text, mbox):

From: Andreas Tille <andreas@fam-tille.de>
To: Alexandre Gramfort <alexandre.gramfort@m4x.org>
Cc: NeuroDebian Team <team@neuro.debian.net>, 728797@bugs.debian.org, Debian Med Project List <debian-med@lists.debian.org>
Subject: Re: Bug#728797: ITP: python-mne -- Python modules for MEG and EEG data analysis
Date: Wed, 6 Nov 2013 22:30:00 +0100
Hi Alexandre,

On Wed, Nov 06, 2013 at 05:26:13PM +0100, Alexandre Gramfort wrote:
> > Looks good from quick view without doing an actual build.  I have
> > attached a fix for the debian/watch file - the file in your repository
> > does not report anything when trying `uscan --verbose --report`.
> 
> fixed in debian branch

:-)
 
> > In any case it has several advantages to at least maintain a clone in
> > one of our repositories at git.debian.org because we have some tools
> > browsing the repositories and doing some general analysis over the
> > VCS status.  It would be good if we could do this also for mne-python
> > but the NeuroDebian people might have the last word in case they agree
> > that they take over the package.  In any case it would be really
> > interesting to describe the workflow they are using in some kind of
> > policy document.  In case this sounds convincing we could take over
> > this into Debian Med policy[1].
> 
> having python-mne in both would be great. Yaroslav has helped me
> up to now to meet neurodebian's requirements. I'd appreciate any
> help (pull request) to meet Debian Med policy.

"Having in both" is the wrong expression.  Debian Med is pure Debian and
thus we bring the package into official Debian and it is available for
all users in medicine and neuroscience.  You might like to understand
the idea of Debian Pure Blends[1].

The actual Debian Med policy describes some conventions and workflows we
have agreed upon inside the packaging team.  I somehow have the feeling
that it might create less work for you if you follow the advise of
Yaroslav and he might sponsor the package.  However, in case NeuroDebian
people might face some time constraints I'd happily work as fallback for
the final push to the Debian mirror.  We have some record of teaching
people inside our team[2] and considering, that the packaging status
looks quite advanced I see no problem to finalise the process.

> > I do not see any general problem here, except that you need to remember
> > that new packages can only go to unstable / testing and if you want to
> > have the package in Debian stable you need to wait for the next release
> > (Jessie, Debian 8).
> 
> no problem.
> 
> Thanks for your insights and help

You are welcome

      Andreas.


[1] http://blends.alioth.debian.org/blends/
[2] http://wiki.debian.org/DebianMed/MoM

-- 
http://fam-tille.de



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Alexandre Gramfort <alexandre.gramfort@m4x.org>:
Bug#728797; Package wnpp. (Wed, 06 Nov 2013 21:45:14 GMT) Full text and rfc822 format available.

Acknowledgement sent to Yaroslav Halchenko <debian@onerussian.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Alexandre Gramfort <alexandre.gramfort@m4x.org>. (Wed, 06 Nov 2013 21:45:14 GMT) Full text and rfc822 format available.

Message #35 received at 728797@bugs.debian.org (full text, mbox):

From: Yaroslav Halchenko <debian@onerussian.com>
To: Andreas Tille <andreas@fam-tille.de>
Cc: Alexandre Gramfort <alexandre.gramfort@m4x.org>, NeuroDebian Team <team@neuro.debian.net>, 728797@bugs.debian.org, Debian Med Project List <debian-med@lists.debian.org>
Subject: Re: Bug#728797: ITP: python-mne -- Python modules for MEG and EEG data analysis
Date: Wed, 6 Nov 2013 16:43:13 -0500
On Wed, 06 Nov 2013, Andreas Tille wrote:
> > > In any case it has several advantages to at least maintain a clone in
> > > one of our repositories at git.debian.org because we have some tools
> > > browsing the repositories and doing some general analysis over the
> > > VCS status.  It would be good if we could do this also for mne-python
> > > but the NeuroDebian people might have the last word in case they agree
> > > that they take over the package.  In any case it would be really
> > > interesting to describe the workflow they are using in some kind of
> > > policy document.  

Hi guys -- nice to see a live discussion ;)

Indeed we do not have yet as clear policy/workflow as Debian Med does...

in majority of the cases I am trying to "integrate" packaging within the
(clone of) upstream repository, so to bring lives of both
"developments" into a single history.  Thus it is not an 'overlay'
repository as Debian Med usually does, but rather a 'debian' branch
which contains the packaging and merges from upstream's master or
release branches (if those are divergent from master, it becomes a bit
more dance).  I guess this should be the major difference from how
Debian Med does it, right Andreas?

> > > In case this sounds convincing we could take over
> > > this into Debian Med policy[1].

> > having python-mne in both would be great. Yaroslav has helped me
> > up to now to meet neurodebian's requirements. I'd appreciate any
> > help (pull request) to meet Debian Med policy.

> "Having in both" is the wrong expression.  Debian Med is pure Debian and
> thus we bring the package into official Debian and it is available for
> all users in medicine and neuroscience.  You might like to understand
> the idea of Debian Pure Blends[1].

I guess Alexandre meant "in both Debian and NeuroDebian", because we
would immediately provide backport builds for all supported Debian and
Ubuntu releases.

> The actual Debian Med policy describes some conventions and workflows we
> have agreed upon inside the packaging team.  I somehow have the feeling
> that it might create less work for you if you follow the advise of
> Yaroslav and he might sponsor the package. 

I am yet to do thorough review, so if you have a moment indeed it would
be helpful... e.g. overlooked adding debian/upstream file ;)  and
actually this upcoming release AFAIK is rushed to get mne-python
publication out (so it could be added to debian/upstream for
references), right Alexandre? ;-)

-- 
Yaroslav O. Halchenko, Ph.D.
http://neuro.debian.net http://www.pymvpa.org http://www.fail2ban.org
Senior Research Associate,     Psychological and Brain Sciences Dept.
Dartmouth College, 419 Moore Hall, Hinman Box 6207, Hanover, NH 03755
Phone: +1 (603) 646-9834                       Fax: +1 (603) 646-1419
WWW:   http://www.linkedin.com/in/yarik        



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Alexandre Gramfort <alexandre.gramfort@m4x.org>:
Bug#728797; Package wnpp. (Wed, 06 Nov 2013 22:09:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Tille <andreas@an3as.eu>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Alexandre Gramfort <alexandre.gramfort@m4x.org>. (Wed, 06 Nov 2013 22:09:08 GMT) Full text and rfc822 format available.

Message #40 received at 728797@bugs.debian.org (full text, mbox):

From: Andreas Tille <andreas@an3as.eu>
To: Alexandre Gramfort <alexandre.gramfort@m4x.org>, NeuroDebian Team <team@neuro.debian.net>, 728797@bugs.debian.org, Debian Med Project List <debian-med@lists.debian.org>
Subject: Re: Bug#728797: ITP: python-mne -- Python modules for MEG and EEG data analysis
Date: Wed, 6 Nov 2013 23:06:16 +0100
Hi,

just one point I always forget to append at the end of my mails:  I'm
personally quite irritated when the language a program is written in is
part of the name.  Considering a

   linux-c/asm
   apache-c
   kde-c++
   eclipse-java
   ...

you get the idea.  From a users perspective it is perfectly
uninteresting in what programming language some software is written in.
Just a personal hint.

On Wed, Nov 06, 2013 at 04:43:13PM -0500, Yaroslav Halchenko wrote:
> On Wed, 06 Nov 2013, Andreas Tille wrote:
> > > > In any case it has several advantages to at least maintain a clone in
> > > > one of our repositories at git.debian.org because we have some tools
> > > > browsing the repositories and doing some general analysis over the
> > > > VCS status.  It would be good if we could do this also for mne-python
> > > > but the NeuroDebian people might have the last word in case they agree
> > > > that they take over the package.  In any case it would be really
> > > > interesting to describe the workflow they are using in some kind of
> > > > policy document.  
> 
> Hi guys -- nice to see a live discussion ;)

:-)
 
> Indeed we do not have yet as clear policy/workflow as Debian Med does...

The workflow as described in policy is a consequence of enabling
effective cooperation in a larger team and (as I mentioned before) the
fact that some tools are relying on the existence of certain files at
certain places (debian/ dir in VCS at {git,svn}.debian.org).

> in majority of the cases I am trying to "integrate" packaging within the
> (clone of) upstream repository, so to bring lives of both
> "developments" into a single history.  Thus it is not an 'overlay'
> repository as Debian Med usually does, but rather a 'debian' branch
> which contains the packaging and merges from upstream's master or
> release branches (if those are divergent from master, it becomes a bit
> more dance).  I guess this should be the major difference from how
> Debian Med does it, right Andreas?

I think this is correct.  The rationale why we are importing only
released tarballs is, that usually a Debian package is based on a
downloadable release tarball provided by upstream.  "Usually" means that
I'm aware that since the advent of Git some people found other ways to
do so and I do not intend to block people from finding new ways which
might fit better under certain circumstances.  Debian Med is kind of
conservative to lower the entrance barrier from a packagers point of
view.

The point in policy where it is described is here:

   http://debian-med.alioth.debian.org/docs/policy.html#git-tips

In case we might agree to follow this I'd volunteer to create such a
repository based on the last released tarball (version 0.6) and the
current packaging stuff - if this is not to divergent from what is
needed for the 0.7 release.  In the later case it might be a good
idea to have some v0.7~rc1 tarball with the current state and I'll
base everything on this until v0.7 is out.  For the future I would
like Alexandre to become a member of the Debian Med team and do the
needed updates in the Git repository at git.debian.org/debian-med.

> > "Having in both" is the wrong expression.  Debian Med is pure Debian and
> > thus we bring the package into official Debian and it is available for
> > all users in medicine and neuroscience.  You might like to understand
> > the idea of Debian Pure Blends[1].
> 
> I guess Alexandre meant "in both Debian and NeuroDebian", because we
> would immediately provide backport builds for all supported Debian and
> Ubuntu releases.

Yep.  I think I understand what Alexandre meant - we just tried to
explain from different angles.

> I am yet to do thorough review, so if you have a moment indeed it would
> be helpful... e.g. overlooked adding debian/upstream file ;)

It would be easy for me to write such a file if I'd get some link
to the publication.  The documentation of debian/upstream files can
be found here:

  https://wiki.debian.org/UpstreamMetadata#Fields

It is sufficient to provide the Reference fields only and for the
sake of simplicity I'm always using this very easy template:

  http://anonscm.debian.org/viewvc/debian-med/trunk/package_template/upstream?view=markup

> and
> actually this upcoming release AFAIK is rushed to get mne-python
> publication out (so it could be added to debian/upstream for
> references), right Alexandre? ;-)

If you are in a pre-publication phase please think about my hint about
possibly removing the programming language from the name.

Kind regards

      Andreas.

-- 
http://fam-tille.de



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Alexandre Gramfort <alexandre.gramfort@m4x.org>:
Bug#728797; Package wnpp. (Wed, 06 Nov 2013 22:24:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Tille <andreas@an3as.eu>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Alexandre Gramfort <alexandre.gramfort@m4x.org>. (Wed, 06 Nov 2013 22:24:05 GMT) Full text and rfc822 format available.

Message #45 received at 728797@bugs.debian.org (full text, mbox):

From: Andreas Tille <andreas@an3as.eu>
To: Alexandre Gramfort <alexandre.gramfort@m4x.org>, NeuroDebian Team <team@neuro.debian.net>, 728797@bugs.debian.org, Debian Med Project List <debian-med@lists.debian.org>
Subject: Re: Bug#728797: ITP: python-mne -- Python modules for MEG and EEG data analysis
Date: Wed, 6 Nov 2013 23:18:37 +0100
On Wed, Nov 06, 2013 at 11:06:16PM +0100, Andreas Tille wrote:
> Hi,
> 
> just one point I always forget to append at the end of my mails:  I'm
> personally quite irritated when the language a program is written in is
> part of the name.  Considering a
> 
>    linux-c/asm
>    apache-c
>    kde-c++
>    eclipse-java
>    ...
> 
> you get the idea.  From a users perspective it is perfectly
> uninteresting in what programming language some software is written in.
> Just a personal hint.

Remark:  If I might have missunderstood the main point of the package
and bin/mne is not the main user interface but the package is rather
oriented to developers who create their own python applications around
the Python modules provided by python-mne - just forget what I wrote.

Kind regards

       Andreas.

-- 
http://fam-tille.de



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#728797; Package wnpp. (Thu, 07 Nov 2013 08:03:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Alexandre Gramfort <alexandre.gramfort@m4x.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Thu, 07 Nov 2013 08:03:04 GMT) Full text and rfc822 format available.

Message #50 received at 728797@bugs.debian.org (full text, mbox):

From: Alexandre Gramfort <alexandre.gramfort@m4x.org>
To: Andreas Tille <andreas@an3as.eu>
Cc: NeuroDebian Team <team@neuro.debian.net>, 728797@bugs.debian.org, Debian Med Project List <debian-med@lists.debian.org>
Subject: Re: Bug#728797: ITP: python-mne -- Python modules for MEG and EEG data analysis
Date: Thu, 7 Nov 2013 09:00:05 +0100
hi,

thanks Andreas and Yaroslav for this lively discussion :)

To be honest, I have no opinion of what's the best way of doing
things and I don't really read between the lines in your comments.
I also don't see me understanding all the details of debian packaging
as I am not likely to do this every other day.

I fine being admin of whatever is needed so the people I work with
can do "apt-get install python-mne" on their debian and ubuntu machines.

Just let me know what I should do step by step.

Thanks
Alex



On Wed, Nov 6, 2013 at 11:18 PM, Andreas Tille <andreas@an3as.eu> wrote:
> On Wed, Nov 06, 2013 at 11:06:16PM +0100, Andreas Tille wrote:
>> Hi,
>>
>> just one point I always forget to append at the end of my mails:  I'm
>> personally quite irritated when the language a program is written in is
>> part of the name.  Considering a
>>
>>    linux-c/asm
>>    apache-c
>>    kde-c++
>>    eclipse-java
>>    ...
>>
>> you get the idea.  From a users perspective it is perfectly
>> uninteresting in what programming language some software is written in.
>> Just a personal hint.
>
> Remark:  If I might have missunderstood the main point of the package
> and bin/mne is not the main user interface but the package is rather
> oriented to developers who create their own python applications around
> the Python modules provided by python-mne - just forget what I wrote.
>
> Kind regards
>
>        Andreas.
>
> --
> http://fam-tille.de



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Alexandre Gramfort <alexandre.gramfort@m4x.org>:
Bug#728797; Package wnpp. (Thu, 07 Nov 2013 08:27:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Tille <andreas@an3as.eu>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Alexandre Gramfort <alexandre.gramfort@m4x.org>. (Thu, 07 Nov 2013 08:27:04 GMT) Full text and rfc822 format available.

Message #55 received at 728797@bugs.debian.org (full text, mbox):

From: Andreas Tille <andreas@an3as.eu>
To: Alexandre Gramfort <alexandre.gramfort@m4x.org>
Cc: NeuroDebian Team <team@neuro.debian.net>, 728797@bugs.debian.org, Debian Med Project List <debian-med@lists.debian.org>
Subject: Re: Bug#728797: ITP: python-mne -- Python modules for MEG and EEG data analysis
Date: Thu, 7 Nov 2013 09:21:37 +0100
Hi Yaroslav,

can you please fill in this short form:

  [ ] I will keep on with python-mne and NeuroDebian team will be
      maintainer

  [ ] Andreas, please take over python-mne into Debian Med
      maintenance

Both is fine for me, but we need some decision.

Alexandre, I think it is a good idea if you meanwhile ask for a login at
alioth.debian.org.

Kind regards

      Andreas.

On Thu, Nov 07, 2013 at 09:00:05AM +0100, Alexandre Gramfort wrote:
> hi,
> 
> thanks Andreas and Yaroslav for this lively discussion :)
> 
> To be honest, I have no opinion of what's the best way of doing
> things and I don't really read between the lines in your comments.
> I also don't see me understanding all the details of debian packaging
> as I am not likely to do this every other day.
> 
> I fine being admin of whatever is needed so the people I work with
> can do "apt-get install python-mne" on their debian and ubuntu machines.
> 
> Just let me know what I should do step by step.
> 
> Thanks
> Alex
> 
> 
> 
> On Wed, Nov 6, 2013 at 11:18 PM, Andreas Tille <andreas@an3as.eu> wrote:
> > On Wed, Nov 06, 2013 at 11:06:16PM +0100, Andreas Tille wrote:
> >> Hi,
> >>
> >> just one point I always forget to append at the end of my mails:  I'm
> >> personally quite irritated when the language a program is written in is
> >> part of the name.  Considering a
> >>
> >>    linux-c/asm
> >>    apache-c
> >>    kde-c++
> >>    eclipse-java
> >>    ...
> >>
> >> you get the idea.  From a users perspective it is perfectly
> >> uninteresting in what programming language some software is written in.
> >> Just a personal hint.
> >
> > Remark:  If I might have missunderstood the main point of the package
> > and bin/mne is not the main user interface but the package is rather
> > oriented to developers who create their own python applications around
> > the Python modules provided by python-mne - just forget what I wrote.
> >
> > Kind regards
> >
> >        Andreas.
> >
> > --
> > http://fam-tille.de
> 
> 
> -- 
> To UNSUBSCRIBE, email to debian-med-REQUEST@lists.debian.org
> with a subject of "unsubscribe". Trouble? Contact listmaster@lists.debian.org
> Archive: http://lists.debian.org/CADeotZpHx37sC2g1-Tq6FcLsSi45gXuAUPzwEt+zn5UBC7NyAA@mail.gmail.com
> 
> 

-- 
http://fam-tille.de



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Alexandre Gramfort <alexandre.gramfort@m4x.org>:
Bug#728797; Package wnpp. (Thu, 21 Nov 2013 13:48:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Tille <andreas@an3as.eu>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Alexandre Gramfort <alexandre.gramfort@m4x.org>. (Thu, 21 Nov 2013 13:48:04 GMT) Full text and rfc822 format available.

Message #60 received at 728797@bugs.debian.org (full text, mbox):

From: Andreas Tille <andreas@an3as.eu>
To: Alexandre Gramfort <alexandre.gramfort@m4x.org>
Cc: Debian Med Project List <debian-med@lists.debian.org>, 728797@bugs.debian.org
Subject: Re: Bug#728797: ITP: python-mne -- Python modules for MEG and EEG data analysis
Date: Thu, 21 Nov 2013 14:44:58 +0100
Hi Alexandre,

On Wed, Nov 20, 2013 at 11:20:10PM +0100, Alexandre Gramfort wrote:
> are the services back online?

Yep - since yesterday evening.  That's a good timing. ;-)
 
> we were thinking about releasing next tuesday and were hoping
> to have proper debian packaging then.
> thanks again for all your help.

You might like to try:

   gbp-clone ssh://git.debian.org/git/debian-med/mne-python.git 

to check out what I injected into the Debian Med git.  Please be
not astonished about the fact that I was using version 0.6.  It is
simply what

   uscan --verbose --report

was resulting - so I downloaded this for the moment and did

   git import-orig --pristine-tar mne-python-0.6.tar.gz

When trying this I realised that for running the tests the Build-Depends
python-coverage was missing.  You might not have noticed this since your
debian/gbp.conf enforced the usage of debuild instead of using pdebuild.
However, the tests are failing (or rather seem to end up in an infinite
loop - I interupted after about 1h) anyway and so I disabled them for
the moment.  I assume this could change with version 0.7 anyway.

In any case I would like you to consider the lintian warnings


W: python-mne: script-with-language-extension usr/bin/mne_browse_raw.py
W: python-mne: script-with-language-extension usr/bin/mne_bti2fiff.py
W: python-mne: script-with-language-extension usr/bin/mne_clean_eog_ecg.py
W: python-mne: script-with-language-extension usr/bin/mne_compute_proj_ecg.py
W: python-mne: script-with-language-extension usr/bin/mne_compute_proj_eog.py
W: python-mne: script-with-language-extension usr/bin/mne_flash_bem_model.py
W: python-mne: script-with-language-extension usr/bin/mne_kit2fiff.py
W: python-mne: script-with-language-extension usr/bin/mne_maxfilter.py
W: python-mne: script-with-language-extension usr/bin/mne_surf2bem.py
W: python-mne: binary-without-manpage usr/bin/mne_browse_raw.py
W: python-mne: binary-without-manpage usr/bin/mne_bti2fiff.py
W: python-mne: binary-without-manpage usr/bin/mne_clean_eog_ecg.py
W: python-mne: binary-without-manpage usr/bin/mne_compute_proj_ecg.py
W: python-mne: binary-without-manpage usr/bin/mne_compute_proj_eog.py
W: python-mne: binary-without-manpage usr/bin/mne_flash_bem_model.py
W: python-mne: binary-without-manpage usr/bin/mne_kit2fiff.py
W: python-mne: binary-without-manpage usr/bin/mne_maxfilter.py
W: python-mne: binary-without-manpage usr/bin/mne_surf2bem.py


If you have questions why files in /usr/bin should not have a language
extension I could provide links who explain this in detail.  Since you
are upstream I would advise to change this in general to make sure users
will not start writing code containing the extension and need to adapt
this later once you might consider droping it.

What you should do next:  Please create some kind of release candidate
tag 0.7~rc1 and do

   uscan --verbose --force-download

which should result in something like mne-python_0.7~rc1.orig.tar.gz.
Then do

   git import-orig --pristine-tar mne-python_0.7~rc1.orig.tar.gz

to import this source.  The next step would be

   dch -i

and adjust the version of the changelog entry to 0.7~rc1 (we might drop
my 0.6 version later since it was never released anyway).  Now you can
do

   git-buildpackage --git-ignore-new

(perhaps also check with droping the comments I injected in the tests).

Once you might face any stumbling stone you might `git push` and just
ask here for further help.  We might iterate that way until you tag
0.7 and we will work on the final release.  From my point of view it
looks promising for some timely upload to the Debian New queue.

Hope this helps

       Andreas.
 
> On Tue, Nov 12, 2013 at 10:24 PM, Alexandre Gramfort
> <alexandre.gramfort@m4x.org> wrote:
> > hi Andreas,
> >
> > let me know when things are back up.
> >
> > best,
> > Alex
> >
> >
> > On Mon, Nov 11, 2013 at 10:13 AM, Andreas Tille <andreas@an3as.eu> wrote:
> >> Hi,
> >>
> >> currently git.alioth.org and svn.alioth.org are not available - an event
> >> that happenes as rarely as one time per five years or so according to my
> >> subjective measure.  I'll keep you informed once this is settled.
> >>
> >> Kind regards
> >>
> >>         Andreas.
> >>
> >> On Fri, Nov 08, 2013 at 04:23:58PM +0100, Alexandre Gramfort wrote:
> >>> hi Andreas,
> >>>
> >>> Yaroslav just told me to try to have mne-python packaged by debian med
> >>> so it seems we need to finalize it together.
> >>>
> >>> Tell me what I can do to help
> >>>
> >>> Best,
> >>> Alex
> >>>
> >>>
> >>> On Thu, Nov 7, 2013 at 4:13 PM, Andreas Tille <andreas@an3as.eu> wrote:
> >>> > On Thu, Nov 07, 2013 at 03:36:45PM +0100, Alexandre Gramfort wrote:
> >>> >> hi,
> >>> >>
> >>> >> I can connect with ssh
> >>> >
> >>> > :-)
> >>> >
> >>> > Waiting for an answer from Yaroslav now...
> >>> >
> >>> > Thanks for your engagement
> >>> >
> >>> >      Andreas.
> >>> >
> >>> > --
> >>> > http://fam-tille.de
> >>>
> >>
> >> --
> >> http://fam-tille.de
> 

-- 
http://fam-tille.de



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#728797; Package wnpp. (Thu, 21 Nov 2013 15:33:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Alexandre Gramfort <alexandre.gramfort@m4x.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Thu, 21 Nov 2013 15:33:04 GMT) Full text and rfc822 format available.

Message #65 received at 728797@bugs.debian.org (full text, mbox):

From: Alexandre Gramfort <alexandre.gramfort@m4x.org>
To: Andreas Tille <andreas@an3as.eu>
Cc: Debian Med Project List <debian-med@lists.debian.org>, 728797@bugs.debian.org
Subject: Re: Bug#728797: ITP: python-mne -- Python modules for MEG and EEG data analysis
Date: Thu, 21 Nov 2013 16:29:10 +0100
hi Andreas,

> Yep - since yesterday evening.  That's a good timing. ;-)

good

> You might like to try:
>
>    gbp-clone ssh://git.debian.org/git/debian-med/mne-python.git
>
> to check out what I injected into the Debian Med git.  Please be
> not astonished about the fact that I was using version 0.6.  It is
> simply what
>
>    uscan --verbose --report

I now created the v0.7rc1 tag and updated the debian branch.
The lintian warnings you mentioned have been fixed with Yaroslav's
guidance a few weeks ago now.

> was resulting - so I downloaded this for the moment and did
>
>    git import-orig --pristine-tar mne-python-0.6.tar.gz

I tried :

uscan --verbose --force-download
git import-orig --pristine-tar mne-python-0.7rc1.tar.gz

but it does not seem to work. It refuses to find the tar.gz

> When trying this I realised that for running the tests the Build-Depends
> python-coverage was missing.

I added now :

python-coverage

let me know what's next besides what's below

thanks for your help

Alex

> to import this source.  The next step would be
>
>    dch -i
>
> and adjust the version of the changelog entry to 0.7~rc1 (we might drop
> my 0.6 version later since it was never released anyway).  Now you can
> do
>
>    git-buildpackage --git-ignore-new
>
> (perhaps also check with droping the comments I injected in the tests).
>
> Once you might face any stumbling stone you might `git push` and just
> ask here for further help.  We might iterate that way until you tag
> 0.7 and we will work on the final release.  From my point of view it
> looks promising for some timely upload to the Debian New queue.



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Alexandre Gramfort <alexandre.gramfort@m4x.org>:
Bug#728797; Package wnpp. (Thu, 21 Nov 2013 16:09:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Tille <andreas@an3as.eu>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Alexandre Gramfort <alexandre.gramfort@m4x.org>. (Thu, 21 Nov 2013 16:09:08 GMT) Full text and rfc822 format available.

Message #70 received at 728797@bugs.debian.org (full text, mbox):

From: Andreas Tille <andreas@an3as.eu>
To: Debian Med Project List <debian-med@lists.debian.org>, 728797@bugs.debian.org
Subject: Re: Bug#728797: ITP: python-mne -- Python modules for MEG and EEG data analysis
Date: Thu, 21 Nov 2013 17:07:56 +0100
Hi Alexandre,

On Thu, Nov 21, 2013 at 04:29:10PM +0100, Alexandre Gramfort wrote:
> > to check out what I injected into the Debian Med git.  Please be
> > not astonished about the fact that I was using version 0.6.  It is
> > simply what
> >
> >    uscan --verbose --report
> 
> I now created the v0.7rc1 tag and updated the debian branch.
> The lintian warnings you mentioned have been fixed with Yaroslav's
> guidance a few weeks ago now.

Great!

> > was resulting - so I downloaded this for the moment and did
> >
> >    git import-orig --pristine-tar mne-python-0.6.tar.gz
> 
> I tried :
> 
> uscan --verbose --force-download
> git import-orig --pristine-tar mne-python-0.7rc1.tar.gz
> 
> but it does not seem to work. It refuses to find the tar.gz

You need to call this when beeing inside the Git repository dir but
usually the tarball is somewhere else (after using uscan it should be
here: ../mne-python-0.7rc1.tar.gz).  Sorry for beeing not precise
enough.

> > When trying this I realised that for running the tests the Build-Depends
> > python-coverage was missing.
> 
> I added now :
> 
> python-coverage

I thought I would have commited this to the repository I was talking
about (git://git.debian.org/git/debian-med/mne-python.git).
 
> let me know what's next besides what's below

Hope the hint above might lead your further.  Please push once this is
done.  In case of further trouble I'd try the import-orig at my side.

Kind regards

       Andreas.

-- 
http://fam-tille.de



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#728797; Package wnpp. (Thu, 21 Nov 2013 16:45:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Alexandre Gramfort <alexandre.gramfort@m4x.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Thu, 21 Nov 2013 16:45:05 GMT) Full text and rfc822 format available.

Message #75 received at 728797@bugs.debian.org (full text, mbox):

From: Alexandre Gramfort <alexandre.gramfort@m4x.org>
To: Andreas Tille <andreas@an3as.eu>, 728797@bugs.debian.org
Cc: Debian Med Project List <debian-med@lists.debian.org>
Subject: Re: Bug#728797: ITP: python-mne -- Python modules for MEG and EEG data analysis
Date: Thu, 21 Nov 2013 17:40:44 +0100
>> uscan --verbose --force-download
>> git import-orig --pristine-tar mne-python-0.7rc1.tar.gz
>>
>> but it does not seem to work. It refuses to find the tar.gz
>
> You need to call this when beeing inside the Git repository dir but
> usually the tarball is somewhere else (after using uscan it should be
> here: ../mne-python-0.7rc1.tar.gz).  Sorry for beeing not precise
> enough.

gramfort@tsilinuxd74> git import-orig --pristine-tar
../mne-python_0.7rc1.orig.tar.gz

~/work/src/debian/mne-python
What is the upstream version? [0.7rc1]
gbp:info: Importing '../mne-python_0.7rc1.orig.tar.gz' to branch 'upstream'...
gbp:info: Source package is mne-python
gbp:info: Upstream version is 0.7rc1
gbp:error: Couldn't commit to 'pristine-tar' with upstream 'upstream':
Execution failed: [Errno 2] No such file or directory
gbp:error: Import of ../mne-python_0.7rc1.orig.tar.gz failed

what should be my upstream repo?

I just used:

gbp-clone ssh://git.debian.org/git/debian-med/mne-python.git

should :

ssh://git.debian.org/git/debian-med/mne-python.git

be my upstream and master?

>> > When trying this I realised that for running the tests the Build-Depends
>> > python-coverage was missing.
>>
>> I added now :
>>
>> python-coverage
>
> I thought I would have commited this to the repository I was talking
> about (git://git.debian.org/git/debian-med/mne-python.git).

does it mean I need to have a debian branch on github that is
the master on debian.org?

send me a private message to find a way to chat if it's easier/faster.

Alex

>> let me know what's next besides what's below
>
> Hope the hint above might lead your further.  Please push once this is
> done.  In case of further trouble I'd try the import-orig at my side.
>
> Kind regards
>
>        Andreas.
>
> --
> http://fam-tille.de



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Alexandre Gramfort <alexandre.gramfort@m4x.org>:
Bug#728797; Package wnpp. (Thu, 21 Nov 2013 22:09:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Tille <andreas@an3as.eu>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Alexandre Gramfort <alexandre.gramfort@m4x.org>. (Thu, 21 Nov 2013 22:09:04 GMT) Full text and rfc822 format available.

Message #80 received at 728797@bugs.debian.org (full text, mbox):

From: Andreas Tille <andreas@an3as.eu>
To: Debian Med Project List <debian-med@lists.debian.org>
Cc: 728797@bugs.debian.org
Subject: Re: Bug#728797: ITP: python-mne -- Python modules for MEG and EEG data analysis
Date: Thu, 21 Nov 2013 23:06:39 +0100
Hi Alexandre,

On Thu, Nov 21, 2013 at 05:40:44PM +0100, Alexandre Gramfort wrote:
> > enough.
> 
> gramfort@tsilinuxd74> git import-orig --pristine-tar
> ../mne-python_0.7rc1.orig.tar.gz

In my first mail about the RC candidate I suggested the version

    mne-python_0.7~rc1.orig.tar.gz

(please mind the '~').  I'm not sure whether git supports this character
in its tags but please note that this is important for the following
reason:

$ if dpkg --compare-versions 0.7~rc1 gt 0.6  ; then echo "0.7~rc1 is greater than 0.6";  fi
0.7~rc1 is greater than 0.6
$ if dpkg --compare-versions 0.7~rc1 gt 0.7  ; then echo "0.7~rc1 is greater than 0.7"; else echo "FAILURE: 0.7~rc1 is NOT GREATER than 0.7";  fi
FAILURE: 0.7~rc1 is NOT GREATER than 0.7
$ if dpkg --compare-versions 0.7rc1 gt 0.7  ; then echo "0.7rc1 is greater than 0.7"; else echo "FAILURE: 0.7rc1 is NOT GREATER than 0.7";  fi
0.7rc1 is greater than 0.7


So we need to make sure that dpkg considers your release candidate a
smaller version than the final release and thus we need to use 0.7~rc1
... at least for the Debian packaging.  This could be ironed out in
d/watch by using dversionmangle - but as long as there is no final
upload and we are targeting at 0.7 for the first upload anyway there
is no point in beeing to picky.  Just to let you know why I'm using
0.7~rc1 below!
 
> ~/work/src/debian/mne-python
> What is the upstream version? [0.7rc1]
> gbp:info: Importing '../mne-python_0.7rc1.orig.tar.gz' to branch 'upstream'...
> gbp:info: Source package is mne-python
> gbp:info: Upstream version is 0.7rc1
> gbp:error: Couldn't commit to 'pristine-tar' with upstream 'upstream':
> Execution failed: [Errno 2] No such file or directory
> gbp:error: Import of ../mne-python_0.7rc1.orig.tar.gz failed

Hmmm, besides the fact that I did renamed the tarball to

   mne-python_0.7~rc1.orig.tar.gz

this worked for me.  Did you verified that the file you try to import
really exists? 

> what should be my upstream repo?

The tarball simply needs to exist - no real magic otherwise.  Worked for
me like a charm.

> I just used:
> 
> gbp-clone ssh://git.debian.org/git/debian-med/mne-python.git
> 
> should :
> 
> ssh://git.debian.org/git/debian-med/mne-python.git
> 
> be my upstream and master?

If you used gbp-clone above you should get

(master) $ git branch
* master
  pristine-tar
  upstream

This is the usual git-buildpackage layout we are using in Debian Med
team.
 
> >> > When trying this I realised that for running the tests the Build-Depends
> >> > python-coverage was missing.
> >>
> >> I added now :
> >>
> >> python-coverage
> >
> > I thought I would have commited this to the repository I was talking
> > about (git://git.debian.org/git/debian-med/mne-python.git).
> 
> does it mean I need to have a debian branch on github that is
> the master on debian.org?

As I tried to make clear in our initial conversation the repository on
git.debian.org and your upstream repository on github are not really
interconnected via Git.  We simply import some tarball by fully ignoring
that it is originated from some Git repository.  It is simply a tarball
and we are (as a consequence) ignoring all the history inbetween the
released tarballs.  As I told you there are pros and cons of this method
but this generic way has proven to work nicely in the past.

In short:  If I'm talking about "the" Git repository I always mean

   ssh://git.debian.org/git/debian-med/mne-python.git
 
> send me a private message to find a way to chat if it's easier/faster.

If needed you can reach me via jabber at tillea@gmail.com .  Another
chance would be IRC at OFTC channel #debian-med - but I have no access
to IRC on business hours and you need to ping me in advance if you
want to IRC with me.
 
In any case I have imported 0.7~rc1 and pushed the changes.  Please pull
and have a look.  I tried to be verbose in commit logs.  In any case you
should enhance the long description.  A minimum text would be what you
injected in the ITP bug #728797 - a bit more would be nice.

You get this kind of information when you call

   lintian -i -I <pkgname>_<debversion>_<arch>.changes

Feel free to continue bothering us with questions if something remains
unclear.

Kind regards

        Andreas.

-- 
http://fam-tille.de



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#728797; Package wnpp. (Fri, 22 Nov 2013 15:30:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Alexandre Gramfort <alexandre.gramfort@m4x.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Fri, 22 Nov 2013 15:30:04 GMT) Full text and rfc822 format available.

Message #85 received at 728797@bugs.debian.org (full text, mbox):

From: Alexandre Gramfort <alexandre.gramfort@m4x.org>
To: Andreas Tille <andreas@an3as.eu>, 728797@bugs.debian.org
Cc: Debian Med Project List <debian-med@lists.debian.org>
Subject: Re: Bug#728797: ITP: python-mne -- Python modules for MEG and EEG data analysis
Date: Fri, 22 Nov 2013 16:26:42 +0100
hi,

I created a v0.7rc2 tag. git does not accept ~ in tag name.

see log:

gramfort@tsilinuxd74:mne-python(master)$ uscan --verbose --force-download
-- Scanning for watchfiles in .
-- Found watchfile in ./debian
-- In debian/watch, processing watchfile line:
   opts="dversionmangle=s/.dfsg$//,filenamemangle=s/.*v([\d\.]+)\..*/mne-python_$1.orig.tar.gz/"
 https://github.com/mne-tools/mne-python/tags
.*/archive/v([\d\.a-z]+)\.(?:tgz|tbz2|txz|tar\.(?:gz|bz2|xz))
-- Found the following matching hrefs:
     /mne-tools/mne-python/archive/v0.7rc2.tar.gz
     /mne-tools/mne-python/archive/v0.7rc1.tar.gz
     /mne-tools/mne-python/archive/v0.6.tar.gz
     /mne-tools/mne-python/archive/v0.5.tar.gz
     /mne-tools/mne-python/archive/v0.4.tar.gz
     /mne-tools/mne-python/archive/v0.3.tar.gz
     /mne-tools/mne-python/archive/v0.2.tar.gz
     /mne-tools/mne-python/archive/v0.1.tar.gz
Newest version on remote site is 0.7rc2, local version is 0.7~rc1
 => Forcing download as requested
-- Downloading updated package mne-python_0.orig.tar.gz
-- Successfully downloaded updated package mne-python_0.orig.tar.gz
    and symlinked mne-python_0.7rc2.orig.tar.gz to it
-- Scan finished
gramfort@tsilinuxd74:mne-python(master)$ l ..
total 56384
drwxr-xr-x 8 gramfort tsiper     4096 nov.  22 14:46 mne-python
lrwxrwxrwx 1 gramfort tsiper       24 nov.  22 16:11
mne-python_0.7rc2.orig.tar.gz -> mne-python_0.orig.tar.gz
-rw-r--r-- 1 gramfort tsiper 57731859 nov.  22 16:11 mne-python_0.orig.tar.gz
gramfort@tsilinuxd74:mne-python(master)$ mv
../mne-python_0.7rc2.orig.tar.gz ../mne-python_0.7~rc2.orig.tar.gz
gramfort@tsilinuxd74:mne-python(master)$ git import-orig
--pristine-tar ../mne-python_0.7~rc2.orig.tar.gz
What is the upstream version? [0.7~rc2]
gbp:info: Importing '../mne-python_0.7~rc2.orig.tar.gz' to branch 'upstream'...
gbp:info: Source package is mne-python
gbp:info: Upstream version is 0.7~rc2
gbp:error: Couldn't commit to 'pristine-tar' with upstream 'upstream':
Execution failed: [Errno 2] No such file or directory
gbp:error: Import of ../mne-python_0.7~rc2.orig.tar.gz failed


---

here is my git config:

gramfort@tsilinuxd74:mne-python(master)$ cat .git/config
[core]
repositoryformatversion = 0
filemode = true
bare = false
logallrefupdates = true
[remote "origin"]
fetch = +refs/heads/*:refs/remotes/origin/*
url = ssh://git.debian.org/git/debian-med/mne-python.git
[branch "master"]
remote = origin
merge = refs/heads/master
[branch "upstream"]
remote = origin
merge = refs/heads/upstream

---

and my git log:

gramfort@tsilinuxd74:mne-python(master)$ git shortlog master | cat &&
git shortlog upstream | cat
Andreas Tille (9):
      Imported Upstream version 0.6
      Inject first attempt of packaging
      Tests are currently failing.  Lets see what new version (0.7)
might bring and disable for the moment.
      Imported Upstream version 0.7~rc1
      Merge tag 'upstream/0.7_rc1'
      Fix Uploader address
      Bump version number to 0.7~rc1 (!!! mind the '~' !!!)
      Tests are working now in 0.7~rc1
      Close ITP bug in changelog which should be done anyway and
currently helps machine readable gatherer to get all needed info

Alexandre Gramfort (1):
      Imported Upstream version 0.7~rc2

Andreas Tille (2):
      Imported Upstream version 0.6
      Imported Upstream version 0.7~rc1

I sent you an invite on hangout

Regarding the long description feel free to copy the one I typed in the ITP

Best,
Alex



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Alexandre Gramfort <alexandre.gramfort@m4x.org>:
Bug#728797; Package wnpp. (Fri, 22 Nov 2013 22:09:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Tille <andreas@an3as.eu>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Alexandre Gramfort <alexandre.gramfort@m4x.org>. (Fri, 22 Nov 2013 22:09:04 GMT) Full text and rfc822 format available.

Message #90 received at 728797@bugs.debian.org (full text, mbox):

From: Andreas Tille <andreas@an3as.eu>
To: Debian Med Project List <debian-med@lists.debian.org>
Cc: 728797@bugs.debian.org
Subject: Re: Bug#728797: ITP: python-mne -- Python modules for MEG and EEG data analysis
Date: Fri, 22 Nov 2013 23:05:35 +0100
Hi Alexandre,

On Fri, Nov 22, 2013 at 04:26:42PM +0100, Alexandre Gramfort wrote:
> I created a v0.7rc2 tag. git does not accept ~ in tag name.

OK.
 
> gramfort@tsilinuxd74:mne-python(master)$ uscan --verbose --force-download
> -- Scanning for watchfiles in .
> -- Found watchfile in ./debian
> -- In debian/watch, processing watchfile line:
>    opts="dversionmangle=s/.dfsg$//,filenamemangle=s/.*v([\d\.]+)\..*/mne-python_$1.orig.tar.gz/"
>  https://github.com/mne-tools/mne-python/tags
> .*/archive/v([\d\.a-z]+)\.(?:tgz|tbz2|txz|tar\.(?:gz|bz2|xz))
> -- Found the following matching hrefs:
>      /mne-tools/mne-python/archive/v0.7rc2.tar.gz
>      /mne-tools/mne-python/archive/v0.7rc1.tar.gz
>      /mne-tools/mne-python/archive/v0.6.tar.gz
>      /mne-tools/mne-python/archive/v0.5.tar.gz
>      /mne-tools/mne-python/archive/v0.4.tar.gz
>      /mne-tools/mne-python/archive/v0.3.tar.gz
>      /mne-tools/mne-python/archive/v0.2.tar.gz
>      /mne-tools/mne-python/archive/v0.1.tar.gz
> Newest version on remote site is 0.7rc2, local version is 0.7~rc1
>  => Forcing download as requested
> -- Downloading updated package mne-python_0.orig.tar.gz
> -- Successfully downloaded updated package mne-python_0.orig.tar.gz
>     and symlinked mne-python_0.7rc2.orig.tar.gz to it
> -- Scan finished
> gramfort@tsilinuxd74:mne-python(master)$ l ..
> total 56384
> drwxr-xr-x 8 gramfort tsiper     4096 nov.  22 14:46 mne-python
> lrwxrwxrwx 1 gramfort tsiper       24 nov.  22 16:11
> mne-python_0.7rc2.orig.tar.gz -> mne-python_0.orig.tar.gz
> -rw-r--r-- 1 gramfort tsiper 57731859 nov.  22 16:11 mne-python_0.orig.tar.gz
> gramfort@tsilinuxd74:mne-python(master)$ mv
> ../mne-python_0.7rc2.orig.tar.gz ../mne-python_0.7~rc2.orig.tar.gz
> gramfort@tsilinuxd74:mne-python(master)$ git import-orig
> --pristine-tar ../mne-python_0.7~rc2.orig.tar.gz
> What is the upstream version? [0.7~rc2]
> gbp:info: Importing '../mne-python_0.7~rc2.orig.tar.gz' to branch 'upstream'...
> gbp:info: Source package is mne-python
> gbp:info: Upstream version is 0.7~rc2
> gbp:error: Couldn't commit to 'pristine-tar' with upstream 'upstream':
> Execution failed: [Errno 2] No such file or directory
> gbp:error: Import of ../mne-python_0.7~rc2.orig.tar.gz failed

Hmmm, I tried the same and it went fine so far (see latest commit;
please not that currently DNS seems to be broken ...
git://alioth.debian.org seems to work, thoght).
 
> ---
> 
> here is my git config:
> 
> gramfort@tsilinuxd74:mne-python(master)$ cat .git/config
> [core]
> repositoryformatversion = 0
> filemode = true
> bare = false
> logallrefupdates = true
> [remote "origin"]
> fetch = +refs/heads/*:refs/remotes/origin/*
> url = ssh://git.debian.org/git/debian-med/mne-python.git
> [branch "master"]
> remote = origin
> merge = refs/heads/master
> [branch "upstream"]
> remote = origin
> merge = refs/heads/upstream
> 
> ---

If I create a fresh clone in addition to your config I have

[branch "pristine-tar"]
        remote = origin
        merge = refs/heads/pristine-tar

I have no idea whether this is the cause of your problem but you might
like to try appending this.
 
> and my git log:
> 
> gramfort@tsilinuxd74:mne-python(master)$ git shortlog master | cat &&
> git shortlog upstream | cat
> Andreas Tille (9):
>       Imported Upstream version 0.6
>       Inject first attempt of packaging
>       Tests are currently failing.  Lets see what new version (0.7)
> might bring and disable for the moment.
>       Imported Upstream version 0.7~rc1
>       Merge tag 'upstream/0.7_rc1'
>       Fix Uploader address
>       Bump version number to 0.7~rc1 (!!! mind the '~' !!!)
>       Tests are working now in 0.7~rc1
>       Close ITP bug in changelog which should be done anyway and
> currently helps machine readable gatherer to get all needed info
> 
> Alexandre Gramfort (1):
>       Imported Upstream version 0.7~rc2
> 
> Andreas Tille (2):
>       Imported Upstream version 0.6
>       Imported Upstream version 0.7~rc1
> 
> I sent you an invite on hangout

Acknowledged :-) 

I have tried to build the package and noticed that not all the test
are passing.  For instance:

...
FAIL: Test file downloading
...


occures in the build log.  You need to know that the package build
process needs to run on a computer without internet connection and you
can/should easily simulate this by using pdebuild.  Since you are
upstream you might be able to inject some option to the tests to ignore
all those that need to download something.

Kind regards

       Andreas.

-- 
http://fam-tille.de



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#728797; Package wnpp. (Sat, 23 Nov 2013 14:54:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Alexandre Gramfort <alexandre.gramfort@m4x.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Sat, 23 Nov 2013 14:54:04 GMT) Full text and rfc822 format available.

Message #95 received at 728797@bugs.debian.org (full text, mbox):

From: Alexandre Gramfort <alexandre.gramfort@m4x.org>
To: Andreas Tille <andreas@an3as.eu>, 728797@bugs.debian.org
Cc: Debian Med Project List <debian-med@lists.debian.org>
Subject: Re: Bug#728797: ITP: python-mne -- Python modules for MEG and EEG data analysis
Date: Sat, 23 Nov 2013 15:50:20 +0100
hi Andreas,

> Hmmm, I tried the same and it went fine so far (see latest commit;

weird

>> here is my git config:
>>
>> gramfort@tsilinuxd74:mne-python(master)$ cat .git/config
>> [core]
>> repositoryformatversion = 0
>> filemode = true
>> bare = false
>> logallrefupdates = true
>> [remote "origin"]
>> fetch = +refs/heads/*:refs/remotes/origin/*
>> url = ssh://git.debian.org/git/debian-med/mne-python.git
>> [branch "master"]
>> remote = origin
>> merge = refs/heads/master
>> [branch "upstream"]
>> remote = origin
>> merge = refs/heads/upstream
>>
>> ---
>
> If I create a fresh clone in addition to your config I have
>
> [branch "pristine-tar"]
>         remote = origin
>         merge = refs/heads/pristine-tar

I appended this but no success.

git import-orig --pristine-tar ../mne-python_0.7~rc3.orig.tar.gz

fails but at least creates the commit on upstream and I can push it manually.

maybe it's good enough?

see 6f7c0563066ba434033479decec10815dc43e467

> I have tried to build the package and noticed that not all the test
> are passing.  For instance:

the full test suite requires a large download but it can be skipped while
maintaining > 60% coverage of the code. See target test-no-sample
in Makefile.

test-no-sample: in
    @MNE_SKIP_SAMPLE_DATASET_TESTS=true \
    $(NOSETESTS) mne

it should be good enough?

> occures in the build log.  You need to know that the package build
> process needs to run on a computer without internet connection and you
> can/should easily simulate this by using pdebuild.  Since you are
> upstream you might be able to inject some option to the tests to ignore
> all those that need to download something.

it's what test-no-sample should hopefully do.

Thanks

Best,
Alex

> Kind regards
>
>        Andreas.
>
> --
> http://fam-tille.de



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Alexandre Gramfort <alexandre.gramfort@m4x.org>:
Bug#728797; Package wnpp. (Sat, 23 Nov 2013 17:15:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Tille <andreas@an3as.eu>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Alexandre Gramfort <alexandre.gramfort@m4x.org>. (Sat, 23 Nov 2013 17:15:04 GMT) Full text and rfc822 format available.

Message #100 received at 728797@bugs.debian.org (full text, mbox):

From: Andreas Tille <andreas@an3as.eu>
To: Debian Med Project List <debian-med@lists.debian.org>
Cc: 728797@bugs.debian.org
Subject: Re: Bug#728797: ITP: python-mne -- Python modules for MEG and EEG data analysis
Date: Sat, 23 Nov 2013 18:13:11 +0100
[Message part 1 (text/plain, inline)]
Hi Alexandre,

On Sat, Nov 23, 2013 at 03:50:20PM +0100, Alexandre Gramfort wrote:
> > I have tried to build the package and noticed that not all the test
> > are passing.  For instance:
> 
> the full test suite requires a large download but it can be skipped while
> maintaining > 60% coverage of the code. See target test-no-sample
> in Makefile.
> 
> test-no-sample: in
>     @MNE_SKIP_SAMPLE_DATASET_TESTS=true \
>     $(NOSETESTS) mne
> 
> it should be good enough?

I adapted packaging in Git to 0.7~rc3 and we are down to only one failed
test:

-----------------------------------------------------------------
TOTAL                               20945   8173    61%
----------------------------------------------------------------------
Ran 290 tests in 366.180s

FAILED (SKIP=89, failures=1)
make[2]: *** [test-no-sample] Error 1

See full build log attached.  Seems it is either

Test Yule-Walker against statsmodels ... SKIP: XFailed Test

but more probably:

Test file downloading ...

FAIL


 
> > occures in the build log.  You need to know that the package build
> > process needs to run on a computer without internet connection and you
> > can/should easily simulate this by using pdebuild.  Since you are
> > upstream you might be able to inject some option to the tests to ignore
> > all those that need to download something.
> 
> it's what test-no-sample should hopefully do.

Tried this (see d/rules in Git).

Kind regards

      Andreas.

-- 
http://fam-tille.de
[mne-python_0.7~rc3-1_amd64.build.gz (application/octet-stream, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#728797; Package wnpp. (Sat, 23 Nov 2013 21:51:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Alexandre Gramfort <alexandre.gramfort@m4x.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Sat, 23 Nov 2013 21:51:07 GMT) Full text and rfc822 format available.

Message #105 received at 728797@bugs.debian.org (full text, mbox):

From: Alexandre Gramfort <alexandre.gramfort@m4x.org>
To: Andreas Tille <andreas@an3as.eu>, 728797@bugs.debian.org
Cc: Debian Med Project List <debian-med@lists.debian.org>
Subject: Re: Bug#728797: ITP: python-mne -- Python modules for MEG and EEG data analysis
Date: Sat, 23 Nov 2013 22:46:07 +0100
hi,

> I adapted packaging in Git to 0.7~rc3 and we are down to only one failed
> test:
>
> -----------------------------------------------------------------
> TOTAL                               20945   8173    61%
> ----------------------------------------------------------------------
> Ran 290 tests in 366.180s
>
> FAILED (SKIP=89, failures=1)
> make[2]: *** [test-no-sample] Error 1
>
> See full build log attached.  Seems it is either
>
> Test Yule-Walker against statsmodels ... SKIP: XFailed Test

this was not a failure. I made the message more informative though.

> but more probably:
>
> Test file downloading ...

this one is the failure. I tried something to make it work.

and pushed tag v0.7rc4

the test should pass without internet connection.

see:

https://github.com/mne-tools/mne-python/blob/master/mne/tests/test_utils.py#L202

>> > occures in the build log.  You need to know that the package build
>> > process needs to run on a computer without internet connection and you
>> > can/should easily simulate this by using pdebuild.  Since you are
>> > upstream you might be able to inject some option to the tests to ignore
>> > all those that need to download something.
>>
>> it's what test-no-sample should hopefully do.
>
> Tried this (see d/rules in Git).

you commented:

#MNE_SKIP_SAMPLE_DATASET_TESTS=true \
#  xvfb-run --auto-servernum --server-num=20 -s "-screen 0 1024x768x24
-ac +extension GLX +render -noreset" \
#  $(NOSETESTS) mne

which was "supposed" to do the job and also avoid failure when running
tests requiring X such as tests relying on mayavi if present.

the xvfb-run should not be in the Makefile.

let me know if tests pass now. If not I'll comment the test.

thanks again

Alex



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Alexandre Gramfort <alexandre.gramfort@m4x.org>:
Bug#728797; Package wnpp. (Sat, 23 Nov 2013 23:24:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Tille <andreas@an3as.eu>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Alexandre Gramfort <alexandre.gramfort@m4x.org>. (Sat, 23 Nov 2013 23:24:04 GMT) Full text and rfc822 format available.

Message #110 received at 728797@bugs.debian.org (full text, mbox):

From: Andreas Tille <andreas@an3as.eu>
To: Alexandre Gramfort <alexandre.gramfort@m4x.org>
Cc: 728797@bugs.debian.org, Debian Med Project List <debian-med@lists.debian.org>
Subject: Re: Bug#728797: ITP: python-mne -- Python modules for MEG and EEG data analysis
Date: Sun, 24 Nov 2013 00:21:47 +0100
Hi,

just builded successfully and pushed some slight polishing changes.
Would you mind writing a man page for mne?  Moreover you did not yet
commented my suggestion to drop the term "python" inside the software
name.

Kind regards

         Andreas.

On Sat, Nov 23, 2013 at 10:46:07PM +0100, Alexandre Gramfort wrote:
> hi,
> 
> > I adapted packaging in Git to 0.7~rc3 and we are down to only one failed
> > test:
> >
> > -----------------------------------------------------------------
> > TOTAL                               20945   8173    61%
> > ----------------------------------------------------------------------
> > Ran 290 tests in 366.180s
> >
> > FAILED (SKIP=89, failures=1)
> > make[2]: *** [test-no-sample] Error 1
> >
> > See full build log attached.  Seems it is either
> >
> > Test Yule-Walker against statsmodels ... SKIP: XFailed Test
> 
> this was not a failure. I made the message more informative though.
> 
> > but more probably:
> >
> > Test file downloading ...
> 
> this one is the failure. I tried something to make it work.
> 
> and pushed tag v0.7rc4
> 
> the test should pass without internet connection.
> 
> see:
> 
> https://github.com/mne-tools/mne-python/blob/master/mne/tests/test_utils.py#L202
> 
> >> > occures in the build log.  You need to know that the package build
> >> > process needs to run on a computer without internet connection and you
> >> > can/should easily simulate this by using pdebuild.  Since you are
> >> > upstream you might be able to inject some option to the tests to ignore
> >> > all those that need to download something.
> >>
> >> it's what test-no-sample should hopefully do.
> >
> > Tried this (see d/rules in Git).
> 
> you commented:
> 
> #MNE_SKIP_SAMPLE_DATASET_TESTS=true \
> #  xvfb-run --auto-servernum --server-num=20 -s "-screen 0 1024x768x24
> -ac +extension GLX +render -noreset" \
> #  $(NOSETESTS) mne
> 
> which was "supposed" to do the job and also avoid failure when running
> tests requiring X such as tests relying on mayavi if present.
> 
> the xvfb-run should not be in the Makefile.
> 
> let me know if tests pass now. If not I'll comment the test.
> 
> thanks again
> 
> Alex
> 

-- 
http://fam-tille.de



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#728797; Package wnpp. (Sun, 24 Nov 2013 15:09:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Alexandre Gramfort <alexandre.gramfort@m4x.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Sun, 24 Nov 2013 15:09:05 GMT) Full text and rfc822 format available.

Message #115 received at 728797@bugs.debian.org (full text, mbox):

From: Alexandre Gramfort <alexandre.gramfort@m4x.org>
To: Andreas Tille <andreas@an3as.eu>
Cc: 728797@bugs.debian.org, Debian Med Project List <debian-med@lists.debian.org>
Subject: Re: Bug#728797: ITP: python-mne -- Python modules for MEG and EEG data analysis
Date: Sun, 24 Nov 2013 16:06:34 +0100
hi,

> just builded successfully and pushed some slight polishing changes.

great thanks.

> Would you mind writing a man page for mne?  Moreover you did not yet
> commented my suggestion to drop the term "python" inside the software
> name.

the man page for the mne command should be generated automatcally
by the manpages target in debian/rules

it's using help2man.

Best,
Alex

> Kind regards
>
>          Andreas.
>
> On Sat, Nov 23, 2013 at 10:46:07PM +0100, Alexandre Gramfort wrote:
>> hi,
>>
>> > I adapted packaging in Git to 0.7~rc3 and we are down to only one failed
>> > test:
>> >
>> > -----------------------------------------------------------------
>> > TOTAL                               20945   8173    61%
>> > ----------------------------------------------------------------------
>> > Ran 290 tests in 366.180s
>> >
>> > FAILED (SKIP=89, failures=1)
>> > make[2]: *** [test-no-sample] Error 1
>> >
>> > See full build log attached.  Seems it is either
>> >
>> > Test Yule-Walker against statsmodels ... SKIP: XFailed Test
>>
>> this was not a failure. I made the message more informative though.
>>
>> > but more probably:
>> >
>> > Test file downloading ...
>>
>> this one is the failure. I tried something to make it work.
>>
>> and pushed tag v0.7rc4
>>
>> the test should pass without internet connection.
>>
>> see:
>>
>> https://github.com/mne-tools/mne-python/blob/master/mne/tests/test_utils.py#L202
>>
>> >> > occures in the build log.  You need to know that the package build
>> >> > process needs to run on a computer without internet connection and you
>> >> > can/should easily simulate this by using pdebuild.  Since you are
>> >> > upstream you might be able to inject some option to the tests to ignore
>> >> > all those that need to download something.
>> >>
>> >> it's what test-no-sample should hopefully do.
>> >
>> > Tried this (see d/rules in Git).
>>
>> you commented:
>>
>> #MNE_SKIP_SAMPLE_DATASET_TESTS=true \
>> #  xvfb-run --auto-servernum --server-num=20 -s "-screen 0 1024x768x24
>> -ac +extension GLX +render -noreset" \
>> #  $(NOSETESTS) mne
>>
>> which was "supposed" to do the job and also avoid failure when running
>> tests requiring X such as tests relying on mayavi if present.
>>
>> the xvfb-run should not be in the Makefile.
>>
>> let me know if tests pass now. If not I'll comment the test.
>>
>> thanks again
>>
>> Alex
>>
>
> --
> http://fam-tille.de



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Alexandre Gramfort <alexandre.gramfort@m4x.org>:
Bug#728797; Package wnpp. (Sun, 24 Nov 2013 21:45:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Tille <andreas@an3as.eu>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Alexandre Gramfort <alexandre.gramfort@m4x.org>. (Sun, 24 Nov 2013 21:45:09 GMT) Full text and rfc822 format available.

Message #120 received at 728797@bugs.debian.org (full text, mbox):

From: Andreas Tille <andreas@an3as.eu>
To: Debian Med Project List <debian-med@lists.debian.org>
Cc: 728797@bugs.debian.org
Subject: Re: Bug#728797: ITP: python-mne -- Python modules for MEG and EEG data analysis
Date: Sun, 24 Nov 2013 22:40:21 +0100
Hi Alexandre,

On Sun, Nov 24, 2013 at 04:06:34PM +0100, Alexandre Gramfort wrote:
> > Would you mind writing a man page for mne?  Moreover you did not yet
> > commented my suggestion to drop the term "python" inside the software
> > name.
> 
> the man page for the mne command should be generated automatcally
> by the manpages target in debian/rules
> 
> it's using help2man.

Well, having a target in debian/rules is not sufficient.  You could even
put a target "take_over_world_domination" and finally nothing will
happen if you have no rule that depends from this target. :-)
 
I just merged this target into override_dh_installman and now it is
used.

BTW, I need to insist on my naming question which finally becomes quite
abstruse if you call the source package mne-python but the binary
python-mne.  Please answer my question (now asked in the third flavour
of rewording) why exactly you are specifying the used programming
language in the package name.

Kind regards

       Andreas.

-- 
http://fam-tille.de



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#728797; Package wnpp. (Mon, 25 Nov 2013 08:51:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Alexandre Gramfort <alexandre.gramfort@m4x.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Mon, 25 Nov 2013 08:51:09 GMT) Full text and rfc822 format available.

Message #125 received at 728797@bugs.debian.org (full text, mbox):

From: Alexandre Gramfort <alexandre.gramfort@m4x.org>
To: Andreas Tille <andreas@an3as.eu>, 728797@bugs.debian.org
Cc: Debian Med Project List <debian-med@lists.debian.org>
Subject: Re: Bug#728797: ITP: python-mne -- Python modules for MEG and EEG data analysis
Date: Mon, 25 Nov 2013 09:47:36 +0100
hi Andreas,

> Well, having a target in debian/rules is not sufficient.  You could even
> put a target "take_over_world_domination" and finally nothing will
> happen if you have no rule that depends from this target. :-)

indeed :)

> I just merged this target into override_dh_installman and now it is
> used.

thanks

> BTW, I need to insist on my naming question which finally becomes quite
> abstruse if you call the source package mne-python but the binary
> python-mne.  Please answer my question (now asked in the third flavour
> of rewording) why exactly you are specifying the used programming
> language in the package name.

well mne-python is a python library and all the other python packages I use
on a daily basis start with python- e.g. python-sklearn, python-numpy,
python-scipy. The convention seem to be python-"import name" and mne-python
is imported in python with "import mne" hence the package name "python-mne"

does it make sense?

Best,
Alex



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#728797; Package wnpp. (Mon, 25 Nov 2013 21:06:13 GMT) Full text and rfc822 format available.

Acknowledgement sent to Alexandre Gramfort <alexandre.gramfort@m4x.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Mon, 25 Nov 2013 21:06:13 GMT) Full text and rfc822 format available.

Message #130 received at 728797@bugs.debian.org (full text, mbox):

From: Alexandre Gramfort <alexandre.gramfort@m4x.org>
To: Andreas Tille <andreas@an3as.eu>, 728797@bugs.debian.org, Yaroslav Halchenko <yoh@debian.org>
Cc: Debian Med Project List <debian-med@lists.debian.org>
Subject: Re: Bug#728797: ITP: python-mne -- Python modules for MEG and EEG data analysis
Date: Mon, 25 Nov 2013 22:02:07 +0100
hi Andreas,

I've pushed a new tag v0.7rc5

all PRs have now been merged and the release should happen tomorrow.

Can you just confirm that we're good on the debian side? I'd love to avoid
a hot fix tomorrow due to a problem with debian packaging :)

yaroslav : I've updated the github debian branch so you can give it a try too.

thanks again for all your help

Alex


On Mon, Nov 25, 2013 at 9:47 AM, Alexandre Gramfort
<alexandre.gramfort@m4x.org> wrote:
> hi Andreas,
>
>> Well, having a target in debian/rules is not sufficient.  You could even
>> put a target "take_over_world_domination" and finally nothing will
>> happen if you have no rule that depends from this target. :-)
>
> indeed :)
>
>> I just merged this target into override_dh_installman and now it is
>> used.
>
> thanks
>
>> BTW, I need to insist on my naming question which finally becomes quite
>> abstruse if you call the source package mne-python but the binary
>> python-mne.  Please answer my question (now asked in the third flavour
>> of rewording) why exactly you are specifying the used programming
>> language in the package name.
>
> well mne-python is a python library and all the other python packages I use
> on a daily basis start with python- e.g. python-sklearn, python-numpy,
> python-scipy. The convention seem to be python-"import name" and mne-python
> is imported in python with "import mne" hence the package name "python-mne"
>
> does it make sense?
>
> Best,
> Alex



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Alexandre Gramfort <alexandre.gramfort@m4x.org>:
Bug#728797; Package wnpp. (Mon, 25 Nov 2013 22:21:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Tille <tille@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Alexandre Gramfort <alexandre.gramfort@m4x.org>. (Mon, 25 Nov 2013 22:21:10 GMT) Full text and rfc822 format available.

Message #135 received at 728797@bugs.debian.org (full text, mbox):

From: Andreas Tille <tille@debian.org>
To: Alexandre Gramfort <alexandre.gramfort@m4x.org>
Cc: 728797@bugs.debian.org, Yaroslav Halchenko <yoh@debian.org>, Debian Med Project List <debian-med@lists.debian.org>
Subject: Re: Bug#728797: ITP: python-mne -- Python modules for MEG and EEG data analysis
Date: Mon, 25 Nov 2013 23:19:00 +0100
Hi Alexandre,

On Mon, Nov 25, 2013 at 10:02:07PM +0100, Alexandre Gramfort wrote:
> hi Andreas,
> 
> I've pushed a new tag v0.7rc5
> 
> all PRs have now been merged and the release should happen tomorrow.
> 
> Can you just confirm that we're good on the debian side?

I tested the packaging and commited an upgrade to 0.7~rc5.

> I'd love to avoid
> a hot fix tomorrow due to a problem with debian packaging :)

Packaging is fine.  The only change I would propose to move the VCS from
mne-python to python-mne and also name the source package python-mne.
This would be way more comfortable from my personal feeling how things
should be.

> yaroslav : I've updated the github debian branch so you can give it a try too.

Yaroslav, I'd be keen on hearing your opinion about my naming change -
feel free to override my opinion!

Kind regards

        Andreas.

-- 
http://fam-tille.de



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#728797; Package wnpp. (Tue, 26 Nov 2013 17:54:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Alexandre Gramfort <alexandre.gramfort@m4x.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Tue, 26 Nov 2013 17:54:04 GMT) Full text and rfc822 format available.

Message #140 received at 728797@bugs.debian.org (full text, mbox):

From: Alexandre Gramfort <alexandre.gramfort@m4x.org>
To: Andreas Tille <tille@debian.org>
Cc: 728797@bugs.debian.org, Yaroslav Halchenko <yoh@debian.org>, Debian Med Project List <debian-med@lists.debian.org>
Subject: Re: Bug#728797: ITP: python-mne -- Python modules for MEG and EEG data analysis
Date: Tue, 26 Nov 2013 18:50:13 +0100
hi Andreas,

we have now released mne-python. See tag v0.7

> Packaging is fine.  The only change I would propose to move the VCS from
> mne-python to python-mne and also name the source package python-mne.
> This would be way more comfortable from my personal feeling how things
> should be.

feel free to move the package name to python-mne on debian.org
if you feel more comfortable.

We cannot change it on github as it would break people's setups.

>> yaroslav : I've updated the github debian branch so you can give it a try too.

the github debian branch is also up to date.

Let me know when we can advertise debian packaging.

Best,
Alex



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Alexandre Gramfort <alexandre.gramfort@m4x.org>:
Bug#728797; Package wnpp. (Tue, 26 Nov 2013 20:36:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Tille <tille@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Alexandre Gramfort <alexandre.gramfort@m4x.org>. (Tue, 26 Nov 2013 20:36:09 GMT) Full text and rfc822 format available.

Message #145 received at 728797@bugs.debian.org (full text, mbox):

From: Andreas Tille <tille@debian.org>
To: Debian Med Project List <debian-med@lists.debian.org>
Cc: 728797@bugs.debian.org, Yaroslav Halchenko <yoh@debian.org>
Subject: Re: Bug#728797: ITP: python-mne -- Python modules for MEG and EEG data analysis
Date: Tue, 26 Nov 2013 21:32:52 +0100
Hi Alexandre,

On Tue, Nov 26, 2013 at 06:50:13PM +0100, Alexandre Gramfort wrote:
> we have now released mne-python. See tag v0.7

Great.  I have importet the new upstream tarball and pushed including
pristine-tar.
 
> > Packaging is fine.  The only change I would propose to move the VCS from
> > mne-python to python-mne and also name the source package python-mne.
> > This would be way more comfortable from my personal feeling how things
> > should be.
> 
> feel free to move the package name to python-mne on debian.org
> if you feel more comfortable.

Done.  Please remind that also the Git repository is now

   ssh://git.debian.org/git/debian-med/python-mne.git

> We cannot change it on github as it would break people's setups.

Sure.  That's totally fine.

> >> yaroslav : I've updated the github debian branch so you can give it a try too.
> 
> the github debian branch is also up to date.

If I were you I would stop maintaining this.  People might become
confused which debian/ stuff is "the right one" (TM).  So you could
safe extra work which has no real use IMHO.

> Let me know when we can advertise debian packaging.

Since I just uploaded this now only depends from ftpmaster accepting the
package (sorry, currently this simply takes about one month for
accepting new packages).  As the owner of the ITP bug you will be
notified automatically.

Inbetween you might have a look at the new queue:

   http://ftp-master.debian.org/new.html

Kind regards

       Andreas.

-- 
http://fam-tille.de



Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Wed, 27 Nov 2013 07:06:25 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#728797; Package wnpp. (Wed, 27 Nov 2013 22:15:15 GMT) Full text and rfc822 format available.

Acknowledgement sent to Alexandre Gramfort <alexandre.gramfort@m4x.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Wed, 27 Nov 2013 22:15:16 GMT) Full text and rfc822 format available.

Message #152 received at 728797@bugs.debian.org (full text, mbox):

From: Alexandre Gramfort <alexandre.gramfort@m4x.org>
To: Andreas Tille <tille@debian.org>, 728797@bugs.debian.org
Cc: Debian Med Project List <debian-med@lists.debian.org>, Yaroslav Halchenko <yoh@debian.org>
Subject: Re: Bug#728797: ITP: python-mne -- Python modules for MEG and EEG data analysis
Date: Wed, 27 Nov 2013 23:12:51 +0100
hi,

> Great.  I have importet the new upstream tarball and pushed including
> pristine-tar.

perfect

> Done.  Please remind that also the Git repository is now
>
>    ssh://git.debian.org/git/debian-med/python-mne.git

I updated my .git/config

> If I were you I would stop maintaining this.  People might become
> confused which debian/ stuff is "the right one" (TM).  So you could
> safe extra work which has no real use IMHO.

ok will do.

>> Let me know when we can advertise debian packaging.
>
> Since I just uploaded this now only depends from ftpmaster accepting the
> package (sorry, currently this simply takes about one month for
> accepting new packages).  As the owner of the ITP bug you will be
> notified automatically.

perfect.

btw we'll have a 0.7.1 release early next week due to a few issues
spotted by our early adopters...

Alex



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Alexandre Gramfort <alexandre.gramfort@m4x.org>:
Bug#728797; Package wnpp. (Thu, 28 Nov 2013 08:21:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Tille <andreas@an3as.eu>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Alexandre Gramfort <alexandre.gramfort@m4x.org>. (Thu, 28 Nov 2013 08:21:04 GMT) Full text and rfc822 format available.

Message #157 received at 728797@bugs.debian.org (full text, mbox):

From: Andreas Tille <andreas@an3as.eu>
To: Debian Med Project List <debian-med@lists.debian.org>
Cc: 728797@bugs.debian.org
Subject: Re: Bug#728797: ITP: python-mne -- Python modules for MEG and EEG data analysis
Date: Thu, 28 Nov 2013 09:16:35 +0100
Hi,

On Wed, Nov 27, 2013 at 11:12:51PM +0100, Alexandre Gramfort wrote:
> > Since I just uploaded this now only depends from ftpmaster accepting the
> > package (sorry, currently this simply takes about one month for
> > accepting new packages).  As the owner of the ITP bug you will be
> > notified automatically.
> 
> perfect.
> 
> btw we'll have a 0.7.1 release early next week due to a few issues
> spotted by our early adopters...

That's OK.  Once python-mne has passed NEW we will update immediately to
whatever version is current at this pointin time. 

Kind regards

      Andreas.

-- 
http://fam-tille.de



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Alexandre Gramfort <alexandre.gramfort@m4x.org>:
Bug#728797; Package wnpp. (Thu, 28 Nov 2013 14:57:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Yaroslav Halchenko <yoh@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Alexandre Gramfort <alexandre.gramfort@m4x.org>. (Thu, 28 Nov 2013 14:57:05 GMT) Full text and rfc822 format available.

Message #162 received at 728797@bugs.debian.org (full text, mbox):

From: Yaroslav Halchenko <yoh@debian.org>
To: Alexandre Gramfort <alexandre.gramfort@m4x.org>
Cc: 728797@bugs.debian.org, Debian Med Project List <debian-med@lists.debian.org>
Subject: Re: Bug#728797: ITP: python-mne -- Python modules for MEG and EEG data analysis
Date: Thu, 28 Nov 2013 09:52:31 -0500
On Wed, 27 Nov 2013, Alexandre Gramfort wrote:

> >> Let me know when we can advertise debian packaging.

> > Since I just uploaded this now only depends from ftpmaster accepting the
> > package (sorry, currently this simply takes about one month for
> > accepting new packages).  As the owner of the ITP bug you will be
> > notified automatically.

> perfect.

> btw we'll have a 0.7.1 release early next week due to a few issues
> spotted by our early adopters...

cool -- please update packaging whenever you update:

- upload of fixed up version to NEW will avoid us needing to reupload
  it later on so that sid will get a fixed up version right away

- I will upload it to NeuroDebian without waiting for it to pass through
  NEW

thanks guys!
-- 
Yaroslav O. Halchenko, Ph.D.
http://neuro.debian.net http://www.pymvpa.org http://www.fail2ban.org
Senior Research Associate,     Psychological and Brain Sciences Dept.
Dartmouth College, 419 Moore Hall, Hinman Box 6207, Hanover, NH 03755
Phone: +1 (603) 646-9834                       Fax: +1 (603) 646-1419
WWW:   http://www.linkedin.com/in/yarik        



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#728797; Package wnpp. (Thu, 28 Nov 2013 18:03:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Alexandre Gramfort <alexandre.gramfort@m4x.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Thu, 28 Nov 2013 18:03:05 GMT) Full text and rfc822 format available.

Message #167 received at 728797@bugs.debian.org (full text, mbox):

From: Alexandre Gramfort <alexandre.gramfort@m4x.org>
To: Yaroslav Halchenko <yoh@debian.org>
Cc: 728797@bugs.debian.org, Debian Med Project List <debian-med@lists.debian.org>
Subject: Re: Bug#728797: ITP: python-mne -- Python modules for MEG and EEG data analysis
Date: Thu, 28 Nov 2013 18:59:10 +0100
hi guys,

FYI I just tagged v0.7.1 on github.

For some obscure reasons I still depend on Andreas to
update the package on debian.org...

thanks

Alex


On Thu, Nov 28, 2013 at 3:52 PM, Yaroslav Halchenko <yoh@debian.org> wrote:
>
> On Wed, 27 Nov 2013, Alexandre Gramfort wrote:
>
>> >> Let me know when we can advertise debian packaging.
>
>> > Since I just uploaded this now only depends from ftpmaster accepting the
>> > package (sorry, currently this simply takes about one month for
>> > accepting new packages).  As the owner of the ITP bug you will be
>> > notified automatically.
>
>> perfect.
>
>> btw we'll have a 0.7.1 release early next week due to a few issues
>> spotted by our early adopters...
>
> cool -- please update packaging whenever you update:
>
> - upload of fixed up version to NEW will avoid us needing to reupload
>   it later on so that sid will get a fixed up version right away
>
> - I will upload it to NeuroDebian without waiting for it to pass through
>   NEW
>
> thanks guys!
> --
> Yaroslav O. Halchenko, Ph.D.
> http://neuro.debian.net http://www.pymvpa.org http://www.fail2ban.org
> Senior Research Associate,     Psychological and Brain Sciences Dept.
> Dartmouth College, 419 Moore Hall, Hinman Box 6207, Hanover, NH 03755
> Phone: +1 (603) 646-9834                       Fax: +1 (603) 646-1419
> WWW:   http://www.linkedin.com/in/yarik



Reply sent to Alexandre Gramfort <alexandre.gramfort@m4x.org>:
You have taken responsibility. (Fri, 27 Dec 2013 00:04:21 GMT) Full text and rfc822 format available.

Notification sent to Alexandre Gramfort <alexandre.gramfort@m4x.org>:
Bug acknowledged by developer. (Fri, 27 Dec 2013 00:04:21 GMT) Full text and rfc822 format available.

Message #172 received at 728797-close@bugs.debian.org (full text, mbox):

From: Alexandre Gramfort <alexandre.gramfort@m4x.org>
To: 728797-close@bugs.debian.org
Subject: Bug#728797: fixed in python-mne 0.7-1
Date: Fri, 27 Dec 2013 00:00:36 +0000
Source: python-mne
Source-Version: 0.7-1

We believe that the bug you reported is fixed in the latest version of
python-mne, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 728797@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Alexandre Gramfort <alexandre.gramfort@m4x.org> (supplier of updated python-mne package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sun, 27 Oct 2013 21:30:31 -0400
Source: python-mne
Binary: python-mne
Architecture: source all
Version: 0.7-1
Distribution: unstable
Urgency: low
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Changed-By: Alexandre Gramfort <alexandre.gramfort@m4x.org>
Description: 
 python-mne - Python modules for MEG and EEG data analysis
Closes: 728797
Changes: 
 python-mne (0.7-1) unstable; urgency=low
 .
   * Initial packaging (Closes: #728797)
Checksums-Sha1: 
 6d81d7055e82f7d28f26bfcf73e2cf7aad14887e 1638 python-mne_0.7-1.dsc
 1e5a76561c8e22ca88a5b3b52e0b4a1624eafb80 57889179 python-mne_0.7.orig.tar.gz
 333a75b3d494c3e8f7aee26f71584265f82f18c2 2857 python-mne_0.7-1.debian.tar.gz
 6732228ebda4b9217eff4cf29059392070c12526 3756548 python-mne_0.7-1_all.deb
Checksums-Sha256: 
 85acc9b52f824ef61564b4af62c3473b88c15ec4688f30f80470be99789c75b5 1638 python-mne_0.7-1.dsc
 5851d67b600ffdde8525b008cc17bbd5b4e4dd5f41ad8558f69814515373cbc2 57889179 python-mne_0.7.orig.tar.gz
 f0a9026a1aeeeee10a02c795e1fbca29d1a2c8f34ad7732f04ec8cbc3497bec6 2857 python-mne_0.7-1.debian.tar.gz
 3474106f52e2536f73e499586166b94eab0841c47a51bdd697bdae1d403d59cb 3756548 python-mne_0.7-1_all.deb
Files: 
 5053cb1df3a0395263bef6ba1b3e10e7 1638 python optional python-mne_0.7-1.dsc
 e2c19566413133b441c94adeccfd8d7c 57889179 python optional python-mne_0.7.orig.tar.gz
 5f901a380e6c233ec26e1ce21a984e49 2857 python optional python-mne_0.7-1.debian.tar.gz
 1796f435c5c1d0d349fca9f71df99d11 3756548 python optional python-mne_0.7-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.15 (GNU/Linux)

iEYEARECAAYFAlKU9zAACgkQYDBbMcCf01qyUACeI9QVER82SAO/Bpi/bZkBWvNL
bU4An0IZNOFzXocc+DOavreri+Lo/Nci
=DQok
-----END PGP SIGNATURE-----




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#728797; Package wnpp. (Wed, 08 Jan 2014 14:18:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Alexandre Gramfort <alexandre.gramfort@m4x.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Wed, 08 Jan 2014 14:18:10 GMT) Full text and rfc822 format available.

Message #177 received at 728797@bugs.debian.org (full text, mbox):

From: Alexandre Gramfort <alexandre.gramfort@m4x.org>
To: Yaroslav Halchenko <yoh@debian.org>
Cc: 728797@bugs.debian.org, Debian Med Project List <debian-med@lists.debian.org>
Subject: Re: Bug#728797: ITP: python-mne -- Python modules for MEG and EEG data analysis
Date: Wed, 8 Jan 2014 15:15:42 +0100
hi Andreas,

I just pushed to the repo version 0.7.1 with:

git import-orig --pristine-tar ../mne-python_0.7.1.orig.tar.gz

let me know if we're good.

Best,
Alex



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#728797; Package wnpp. (Sat, 11 Jan 2014 15:15:13 GMT) Full text and rfc822 format available.

Acknowledgement sent to Alexandre Gramfort <alexandre.gramfort@m4x.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Sat, 11 Jan 2014 15:15:13 GMT) Full text and rfc822 format available.

Message #182 received at 728797@bugs.debian.org (full text, mbox):

From: Alexandre Gramfort <alexandre.gramfort@m4x.org>
To: Yaroslav Halchenko <yoh@debian.org>
Cc: 728797@bugs.debian.org, Debian Med Project List <debian-med@lists.debian.org>
Subject: Re: Bug#728797: ITP: python-mne -- Python modules for MEG and EEG data analysis
Date: Sat, 11 Jan 2014 16:12:40 +0100
[Message part 1 (text/plain, inline)]
hi,

I just gave a try to "apt-get install python-mne" on a fresh neurodebian VM
downloaded at:

http://neuro.debian.net/vm.html

and I get the error below.

any idea what's going on?

@yarik can you reproduce?

Thanks,
Alex

--

brain@neurodebian:~$ sudo apt-get install python-mne
Reading package lists... Done
Building dependency tree
Reading state information... Done
Suggested packages:
  python-dap
The following NEW packages will be installed:
  python-mne
0 upgraded, 1 newly installed, 0 to remove and 0 not upgraded.
Need to get 0 B/4,058 kB of archives.
After this operation, 6,397 kB of additional disk space will be used.
[master b9e90fc] saving uncommitted changes in /etc prior to apt run
 Author: brain <brain@neurodebian>
 2 files changed, 1 insertion(+), 1 deletion(-)
 rewrite console-setup/cached_UTF-8_del.kmap.gz (100%)
Selecting previously unselected package python-mne.
(Reading database ... 125418 files and directories currently installed.)
Unpacking python-mne (from .../python-mne_0.7-1~nd70+1_all.deb) ...
Processing triggers for man-db ...
Setting up python-mne (0.7-1~nd70+1) ...
SyntaxError: ('invalid syntax',
('/usr/lib/python2.6/dist-packages/mne/gui/_file_traits.py', 300, 33, "
   digs = {d['ident']: d for d in self.fid_dig}\n"))

dpkg: error processing python-mne (--configure):
 subprocess installed post-installation script returned error exit status
101
Errors were encountered while processing:
 python-mne
E: Sub-process /usr/bin/dpkg returned an error code (1)
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Alexandre Gramfort <alexandre.gramfort@m4x.org>:
Bug#728797; Package wnpp. (Sat, 11 Jan 2014 15:21:16 GMT) Full text and rfc822 format available.

Acknowledgement sent to Yaroslav Halchenko <debian@onerussian.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Alexandre Gramfort <alexandre.gramfort@m4x.org>. (Sat, 11 Jan 2014 15:21:16 GMT) Full text and rfc822 format available.

Message #187 received at 728797@bugs.debian.org (full text, mbox):

From: Yaroslav Halchenko <debian@onerussian.com>
To: Alexandre Gramfort <alexandre.gramfort@m4x.org>
Cc: 728797@bugs.debian.org, Debian Med Project List <debian-med@lists.debian.org>
Subject: Re: Bug#728797: ITP: python-mne -- Python modules for MEG and EEG data analysis
Date: Sat, 11 Jan 2014 10:17:40 -0500
ah -- so the minimal supported Python is 2.7? then we should add

X-Python-Version: >=2.7

to source package paragraph (top) within debian/control then

I am yet to furnish package for the new release... since it is
backports/NeuroDebian specific -- I will do that... hopefully later
today and push to debian-med git

Cheers,

On Sat, 11 Jan 2014, Alexandre Gramfort wrote:

>    hi,
>    I just gave a try to "apt-get install python-mne" on a fresh neurodebian
>    VM downloaded at:
>    [1]http://neuro.debian.net/vm.html
>    and I get the error below.
>    any idea what's going on?
>    @yarik can you reproduce?
>    Thanks,
>    Alex
-- 
Yaroslav O. Halchenko, Ph.D.
http://neuro.debian.net http://www.pymvpa.org http://www.fail2ban.org
Senior Research Associate,     Psychological and Brain Sciences Dept.
Dartmouth College, 419 Moore Hall, Hinman Box 6207, Hanover, NH 03755
Phone: +1 (603) 646-9834                       Fax: +1 (603) 646-1419
WWW:   http://www.linkedin.com/in/yarik        



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Alexandre Gramfort <alexandre.gramfort@m4x.org>:
Bug#728797; Package wnpp. (Sat, 11 Jan 2014 15:27:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Yaroslav Halchenko <debian@onerussian.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Alexandre Gramfort <alexandre.gramfort@m4x.org>. (Sat, 11 Jan 2014 15:27:05 GMT) Full text and rfc822 format available.

Message #192 received at 728797@bugs.debian.org (full text, mbox):

From: Yaroslav Halchenko <debian@onerussian.com>
To: Alexandre Gramfort <alexandre.gramfort@m4x.org>
Cc: 728797@bugs.debian.org, Debian Med Project List <debian-med@lists.debian.org>
Subject: Re: Bug#728797: ITP: python-mne -- Python modules for MEG and EEG data analysis
Date: Sat, 11 Jan 2014 10:25:35 -0500
On Sat, 11 Jan 2014, Yaroslav Halchenko wrote:

> ah -- so the minimal supported Python is 2.7? then we should add

> X-Python-Version: >=2.7

or may be you would prefer to adjust that one to stay 2.6 compatible?

also for testing, I am usually trying to test with all supported
versions, which could help point out other possible 2.7 dependencies.
ATM you are testing only for current version... (in Debian sid it is 2.7
only but in older ones ,multiple)

ok -- let me cook up testing first, see if there is anything else TODO
for 2,6 support, if not much then I would wait on your thoughts first

-- 
Yaroslav O. Halchenko, Ph.D.
http://neuro.debian.net http://www.pymvpa.org http://www.fail2ban.org
Senior Research Associate,     Psychological and Brain Sciences Dept.
Dartmouth College, 419 Moore Hall, Hinman Box 6207, Hanover, NH 03755
Phone: +1 (603) 646-9834                       Fax: +1 (603) 646-1419
WWW:   http://www.linkedin.com/in/yarik        



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#728797; Package wnpp. (Sat, 11 Jan 2014 15:33:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Alexandre Gramfort <alexandre.gramfort@m4x.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Sat, 11 Jan 2014 15:33:05 GMT) Full text and rfc822 format available.

Message #197 received at 728797@bugs.debian.org (full text, mbox):

From: Alexandre Gramfort <alexandre.gramfort@m4x.org>
To: Yaroslav Halchenko <debian@onerussian.com>
Cc: 728797@bugs.debian.org, Debian Med Project List <debian-med@lists.debian.org>
Subject: Re: Bug#728797: ITP: python-mne -- Python modules for MEG and EEG data analysis
Date: Sat, 11 Jan 2014 16:28:42 +0100
[Message part 1 (text/plain, inline)]
>
> or may be you would prefer to adjust that one to stay 2.6 compatible?
>

I guess that would be better as it should stay compatible with 2.6 ...

it's a mistake on our side... I'll setup a jenkins on 2.6 to avoid this
issue
in the future.


> also for testing, I am usually trying to test with all supported
> versions, which could help point out other possible 2.7 dependencies.
> ATM you are testing only for current version... (in Debian sid it is 2.7
> only but in older ones ,multiple)
>
> ok -- let me cook up testing first, see if there is anything else TODO
> for 2,6 support, if not much then I would wait on your thoughts first


thanks for your help

Alex
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Alexandre Gramfort <alexandre.gramfort@m4x.org>:
Bug#728797; Package wnpp. (Sun, 12 Jan 2014 18:42:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Yaroslav Halchenko <debian@onerussian.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Alexandre Gramfort <alexandre.gramfort@m4x.org>. (Sun, 12 Jan 2014 18:42:05 GMT) Full text and rfc822 format available.

Message #202 received at 728797@bugs.debian.org (full text, mbox):

From: Yaroslav Halchenko <debian@onerussian.com>
To: Alexandre Gramfort <alexandre.gramfort@m4x.org>
Cc: 728797@bugs.debian.org, Debian Med Project List <debian-med@lists.debian.org>
Subject: Re: Bug#728797: ITP: python-mne -- Python modules for MEG and EEG data analysis
Date: Sun, 12 Jan 2014 13:39:48 -0500
ok -- while "support 2.6" actions are cooking I thought it would be
worthwhile to reupload to NeuroDebian a build without 2.6.

Would there be objections if I push to git the following commit and upload
generated packages to NeuroDebian.  Marked changelog as 'neurodebian' since
that is where it is intended to go and makes no sense for unstable i.e. proper
Debian upload

$> git show
commit e1d70152267aedf2ba7f4f5be167d53854d5b2c2
Author: Yaroslav Halchenko <debian@onerussian.com>
Date:   Sun Jan 12 10:03:16 2014 -0500

    Boost X-Python-Version to >= 2.7 to provide installable builds for wheezy

diff --git a/debian/changelog b/debian/changelog
index b23aa17..c7f2b36 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -1,3 +1,10 @@
+python-mne (0.7.1-2) neurodebian; urgency=low
+
+  * Boost X-Python-Version to >= 2.7 to provide installable
+    builds for wheezy
+
+ -- Yaroslav Halchenko <debian@onerussian.com>  Sun, 12 Jan 2014 10:02:56 -0500
+
 python-mne (0.7.1-1) unstable; urgency=low
 
   [ Alexandre Gramfort ]
diff --git a/debian/control b/debian/control
index b85808a..5ab70eb 100644
--- a/debian/control
+++ b/debian/control
@@ -25,7 +25,7 @@ Standards-Version: 3.9.5
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-med/python-mne.git
 Vcs-Git: git://anonscm.debian.org/debian-med/python-mne.git
 Homepage: http://martinos.org/mne
-X-Python-Version: >= 2.6
+X-Python-Version: >= 2.7
 
 Package: python-mne
 Architecture: all



On Sat, 11 Jan 2014, Alexandre Gramfort wrote:

>      or may be you would prefer to adjust that one to stay 2.6 compatible?

>    I guess that would be better as it should stay compatible with 2.6 ... �
>    it's a mistake on our side... I'll setup a jenkins on 2.6 to avoid this
>    issue
>    in the future.
>    �

>      also for testing, I am usually trying to test with all supported
>      versions, which could help point out other possible 2.7 dependencies.
>      ATM you are testing only for current version... (in Debian sid it is 2.7
>      only but in older ones ,multiple)

>      ok -- let me cook up testing first, see if there is anything else TODO
>      for 2,6 support, if not much then I would wait on your thoughts first

>    thanks for your help
>    Alex
>    �

-- 
Yaroslav O. Halchenko, Ph.D.
http://neuro.debian.net http://www.pymvpa.org http://www.fail2ban.org
Senior Research Associate,     Psychological and Brain Sciences Dept.
Dartmouth College, 419 Moore Hall, Hinman Box 6207, Hanover, NH 03755
Phone: +1 (603) 646-9834                       Fax: +1 (603) 646-1419
WWW:   http://www.linkedin.com/in/yarik        



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#728797; Package wnpp. (Sun, 12 Jan 2014 18:54:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Alexandre Gramfort <alexandre.gramfort@m4x.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Sun, 12 Jan 2014 18:54:07 GMT) Full text and rfc822 format available.

Message #207 received at 728797@bugs.debian.org (full text, mbox):

From: Alexandre Gramfort <alexandre.gramfort@m4x.org>
To: Yaroslav Halchenko <debian@onerussian.com>
Cc: 728797@bugs.debian.org, Debian Med Project List <debian-med@lists.debian.org>
Subject: Re: Bug#728797: ITP: python-mne -- Python modules for MEG and EEG data analysis
Date: Sun, 12 Jan 2014 19:50:56 +0100
all good for me.

I'll let you know when we merge the PR with the py 2.6 fixes.

I'll then backport and tag 0.7.2

thanks

Alex


On Sun, Jan 12, 2014 at 7:39 PM, Yaroslav Halchenko
<debian@onerussian.com> wrote:
> ok -- while "support 2.6" actions are cooking I thought it would be
> worthwhile to reupload to NeuroDebian a build without 2.6.
>
> Would there be objections if I push to git the following commit and upload
> generated packages to NeuroDebian.  Marked changelog as 'neurodebian' since
> that is where it is intended to go and makes no sense for unstable i.e. proper
> Debian upload
>
> $> git show
> commit e1d70152267aedf2ba7f4f5be167d53854d5b2c2
> Author: Yaroslav Halchenko <debian@onerussian.com>
> Date:   Sun Jan 12 10:03:16 2014 -0500
>
>     Boost X-Python-Version to >= 2.7 to provide installable builds for wheezy
>
> diff --git a/debian/changelog b/debian/changelog
> index b23aa17..c7f2b36 100644
> --- a/debian/changelog
> +++ b/debian/changelog
> @@ -1,3 +1,10 @@
> +python-mne (0.7.1-2) neurodebian; urgency=low
> +
> +  * Boost X-Python-Version to >= 2.7 to provide installable
> +    builds for wheezy
> +
> + -- Yaroslav Halchenko <debian@onerussian.com>  Sun, 12 Jan 2014 10:02:56 -0500
> +
>  python-mne (0.7.1-1) unstable; urgency=low
>
>    [ Alexandre Gramfort ]
> diff --git a/debian/control b/debian/control
> index b85808a..5ab70eb 100644
> --- a/debian/control
> +++ b/debian/control
> @@ -25,7 +25,7 @@ Standards-Version: 3.9.5
>  Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-med/python-mne.git
>  Vcs-Git: git://anonscm.debian.org/debian-med/python-mne.git
>  Homepage: http://martinos.org/mne
> -X-Python-Version: >= 2.6
> +X-Python-Version: >= 2.7
>
>  Package: python-mne
>  Architecture: all
>
>
>
> On Sat, 11 Jan 2014, Alexandre Gramfort wrote:
>
>>      or may be you would prefer to adjust that one to stay 2.6 compatible?
>
>>    I guess that would be better as it should stay compatible with 2.6 ... �
>>    it's a mistake on our side... I'll setup a jenkins on 2.6 to avoid this
>>    issue
>>    in the future.
>>    �
>
>>      also for testing, I am usually trying to test with all supported
>>      versions, which could help point out other possible 2.7 dependencies.
>>      ATM you are testing only for current version... (in Debian sid it is 2.7
>>      only but in older ones ,multiple)
>
>>      ok -- let me cook up testing first, see if there is anything else TODO
>>      for 2,6 support, if not much then I would wait on your thoughts first
>
>>    thanks for your help
>>    Alex
>>    �
>
> --
> Yaroslav O. Halchenko, Ph.D.
> http://neuro.debian.net http://www.pymvpa.org http://www.fail2ban.org
> Senior Research Associate,     Psychological and Brain Sciences Dept.
> Dartmouth College, 419 Moore Hall, Hinman Box 6207, Hanover, NH 03755
> Phone: +1 (603) 646-9834                       Fax: +1 (603) 646-1419
> WWW:   http://www.linkedin.com/in/yarik



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Alexandre Gramfort <alexandre.gramfort@m4x.org>:
Bug#728797; Package wnpp. (Sun, 12 Jan 2014 19:24:18 GMT) Full text and rfc822 format available.

Acknowledgement sent to Yaroslav Halchenko <debian@onerussian.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Alexandre Gramfort <alexandre.gramfort@m4x.org>. (Sun, 12 Jan 2014 19:24:18 GMT) Full text and rfc822 format available.

Message #212 received at 728797@bugs.debian.org (full text, mbox):

From: Yaroslav Halchenko <debian@onerussian.com>
To: Alexandre Gramfort <alexandre.gramfort@m4x.org>
Cc: 728797@bugs.debian.org, Debian Med Project List <debian-med@lists.debian.org>
Subject: Re: Bug#728797: ITP: python-mne -- Python modules for MEG and EEG data analysis
Date: Sun, 12 Jan 2014 14:22:00 -0500
ok - done, 0.7.1-2 went into neurodebian, wheezy users should become
happier ;) cheers



On Sun, 12 Jan 2014, Alexandre Gramfort wrote:

> all good for me.

> I'll let you know when we merge the PR with the py 2.6 fixes.

> I'll then backport and tag 0.7.2

> thanks

> Alex


> On Sun, Jan 12, 2014 at 7:39 PM, Yaroslav Halchenko
> <debian@onerussian.com> wrote:
> > ok -- while "support 2.6" actions are cooking I thought it would be
> > worthwhile to reupload to NeuroDebian a build without 2.6.

> > Would there be objections if I push to git the following commit and upload
> > generated packages to NeuroDebian.  Marked changelog as 'neurodebian' since
> > that is where it is intended to go and makes no sense for unstable i.e. proper
> > Debian upload

> > $> git show
> > commit e1d70152267aedf2ba7f4f5be167d53854d5b2c2
> > Author: Yaroslav Halchenko <debian@onerussian.com>
> > Date:   Sun Jan 12 10:03:16 2014 -0500

> >     Boost X-Python-Version to >= 2.7 to provide installable builds for wheezy

> > diff --git a/debian/changelog b/debian/changelog
> > index b23aa17..c7f2b36 100644
> > --- a/debian/changelog
> > +++ b/debian/changelog
> > @@ -1,3 +1,10 @@
> > +python-mne (0.7.1-2) neurodebian; urgency=low
> > +
> > +  * Boost X-Python-Version to >= 2.7 to provide installable
> > +    builds for wheezy
> > +
> > + -- Yaroslav Halchenko <debian@onerussian.com>  Sun, 12 Jan 2014 10:02:56 -0500
> > +
> >  python-mne (0.7.1-1) unstable; urgency=low

> >    [ Alexandre Gramfort ]
> > diff --git a/debian/control b/debian/control
> > index b85808a..5ab70eb 100644
> > --- a/debian/control
> > +++ b/debian/control
> > @@ -25,7 +25,7 @@ Standards-Version: 3.9.5
> >  Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-med/python-mne.git
> >  Vcs-Git: git://anonscm.debian.org/debian-med/python-mne.git
> >  Homepage: http://martinos.org/mne
> > -X-Python-Version: >= 2.6
> > +X-Python-Version: >= 2.7

> >  Package: python-mne
> >  Architecture: all



> > On Sat, 11 Jan 2014, Alexandre Gramfort wrote:

> >>      or may be you would prefer to adjust that one to stay 2.6 compatible?

> >>    I guess that would be better as it should stay compatible with 2.6 ... �
> >>    it's a mistake on our side... I'll setup a jenkins on 2.6 to avoid this
> >>    issue
> >>    in the future.
> >>    �

> >>      also for testing, I am usually trying to test with all supported
> >>      versions, which could help point out other possible 2.7 dependencies.
> >>      ATM you are testing only for current version... (in Debian sid it is 2.7
> >>      only but in older ones ,multiple)

> >>      ok -- let me cook up testing first, see if there is anything else TODO
> >>      for 2,6 support, if not much then I would wait on your thoughts first

> >>    thanks for your help
> >>    Alex
> >>    �

> > --
> > Yaroslav O. Halchenko, Ph.D.
> > http://neuro.debian.net http://www.pymvpa.org http://www.fail2ban.org
> > Senior Research Associate,     Psychological and Brain Sciences Dept.
> > Dartmouth College, 419 Moore Hall, Hinman Box 6207, Hanover, NH 03755
> > Phone: +1 (603) 646-9834                       Fax: +1 (603) 646-1419
> > WWW:   http://www.linkedin.com/in/yarik


-- 
Yaroslav O. Halchenko, Ph.D.
http://neuro.debian.net http://www.pymvpa.org http://www.fail2ban.org
Senior Research Associate,     Psychological and Brain Sciences Dept.
Dartmouth College, 419 Moore Hall, Hinman Box 6207, Hanover, NH 03755
Phone: +1 (603) 646-9834                       Fax: +1 (603) 646-1419
WWW:   http://www.linkedin.com/in/yarik        



Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 10 Feb 2014 07:37:41 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 06:59:22 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.